<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, saffillink, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM affiliates WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    affillink.Text = pd.ReadData("affillink")
                    saffillink = pd.ReadData("affillink")
                    affilurl2.Text = pd.shopurl & "default.aspx?affillink=" & pd.ReadData("affillink")
                    commission.Text = pd.ReadDataN("commission")
                    company.Text = pd.ReadData("company")
                    affilurl.Text = pd.ReadData("affilurl")

                    'password.Text = pd.ReadDataX("password") 'Get Encrypted Data
                    'password2.Text = pd.ReadDataX("password") 'Get Encrypted Data
                    
                    name.Text = pd.ReadData("name")
                    email.Text = pd.ReadData("email")
                    phone.Text = pd.ReadData("phone")
                    street1.Text = pd.ReadData("street1")
                    street2.Text = pd.ReadData("street2")
                    city.Text = pd.ReadData("city")
                    zip.Text = pd.ReadData("zip")
                    state.Text = pd.ReadData("state")
                    country.Text = pd.ReadData("country")

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
                 
                'Log Event
                pd.LogAdminEvent(120, id, "")

            Else
                'Default values when adding new record.
                'Get default Affiliate commission
                pd.OpenSetupDataReader("setupxml", "setup")

                commission.Text = pd.ReadDataN("affilcomm")

                pd.CloseData()
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                pd.OpenDataWriter("affiliates")
                'Check for conflicting records
                pd.OpenDataReader("SELECT id FROM affiliates WHERE affillink='" & pd.FormatSqlText(affillink.Text) & "'")
                If pd.ReadDataItem.Read Then
                    pd.formerror = pd.formerror & "'" & affillink.Text & "' Already Exists!"
                End If
                pd.CloseData()
            Else
                pd.OpenDataWriter("affiliates WHERE id=" & id)
            End If

            pd.AddFormData("affillink", affillink.Text, "Affiliate ID", "T", 5, 50)
            pd.AddFormData("commission", commission.Text, "Commission", "N", 0, 0)
            pd.AddFormData("company", company.Text, "Company", "T", 0, 50)
            pd.AddFormData("affilurl", affilurl.Text, "Affiliate Website", "T", 0, 50)
            pd.AddFormData("email", email.Text, "Email", "E", 1, 50)
            pd.formerror = pd.formerror & pd.checkchr(email.Text, "Email")
            pd.AddFormData("phone", phone.Text, "Phone", "T", 0, 50)
            pd.AddFormData("name", name.Text, "ient Name", "T", 0, 50)
            pd.AddFormData("street1", street1.Text, "Street", "T", 0, 50)
            pd.AddFormData("street2", street2.Text, "Street", "T", 0, 50)
            pd.AddFormData("state", state.Text, "State", "T", 0, 50)
            pd.AddFormData("city", city.Text, "City", "T", 0, 50)
            pd.AddFormData("country", country.Text, "Country", "T", 0, 50)
            pd.AddFormData("zip", zip.Text, "Zip/Postal Code", "T", 0, 50)

            
            'Create New Password
            If password.Text <> "" Or id = "" Then
                
                If password.Text <> password2.Text Then
                    pd.formerror = pd.formerror & "Passwords Do Not Match!"
                End If
                pd.formerror = pd.formerror & pd.checkchr(password.Text, "Password")
            
                'Enforce Strong Passwords (if enabled)
                If pd.isPasswordStrong(password.Text) = False Then
                    pd.formerror = pd.formerror & "Passwords Must be 7 characters in length, and must include a number and both upper and lower case letters!"
                End If
                pd.AddFormData("password", password.Text, "Password", "X", 1, 50)
                
            End If
            
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                pd.gotonextpage()
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM affiliates WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            pd.LogAdminEvent(121, id, "")
            id = ""
            deleterecord = "done"
        End If

        'Force Password fields to show masked passwords.
        If Not password.Text = "" And Not password2.Text = "" Then
            ViewState(password.Text) = password.Text
            password.Attributes.Add("value", ViewState(password.Text).ToString())
            ViewState(password2.Text) = password2.Text
            password2.Attributes.Add("value", ViewState(password2.Text).ToString())
        End If


    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Affiliate has been Deleted!', 'editaffiliate.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editaffiliate.aspx?id=" & id)
                    pd.createadmintab("Sales Report", "editaffiliate-sales.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Affiliate Profile</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Affiliate ID</div>
                <div>
                    <asp:TextBox class="formfield2" ID="affillink" runat="server" /></div>
                <div class="formheading">
                    Affiliate Website</div>
                <div>
                    <asp:TextBox class="formfield1" ID="affilurl" runat="server" /></div>
                <%  If id <> "" Then%>
                <div class="formheading">
                    URL</div>
                <div>
                    <asp:TextBox class="roformfield6" ReadOnly="true" ID="affilurl2" runat="server" /></div>
                <div class="helptext">
                    To receive credit for sales, this affiliate must link to your website using this
                    URL above.</div>
                <% End If%>
                <div class="formheading">
                    Commission</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="commission" runat="server" /></div>
                <div class="formheading">
                    Email</div>
                <div>
                    <asp:TextBox class="formfield1" ID="email" runat="server" /></div>
                <div class="formheading">
                    New Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password" runat="server" /></div>
                <div class="formheading">
                    Confirm New Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password2" runat="server" /></div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
                <div class="formheading">
                    Company</div>
                <div>
                    <asp:TextBox class="formfield1" ID="company" runat="server" /></div>
                <div class="formheading">
                    Address</div>
                <div>
                    <asp:TextBox class="formfield1" ID="street1" runat="server" /></div>
                <div>
                    <asp:TextBox class="formfield1" ID="street2" runat="server" /></div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="city" runat="server" /></div>
                <div class="formheading">
                    State/Province</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="state" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="zip" runat="server" /></div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:TextBox class="formfield1" ID="country" runat="server" /></div>
                <div class="formheading">
                    Phone</div>
                <div>
                    <asp:TextBox class="formfield1" ID="phone" runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes">Delete this Affiliate?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
