<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM category WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
            pd.gotonextpage()

        End If
         
        If IsNumeric(id) Then

            categoryitems.DataSource = pd.bindcategoryitemssimple(id)  'pd.bindthissql("SELECT catlinks.id as recid, items.id as itemid, items.name, items.onsale, items.saleprice, items.price, items.itemno FROM catlinks INNER JOIN items on items.id=catlinks.itemid WHERE catlinks.catid=" & id & " ORDER BY items.name")
            categoryitems.DataBind()

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editcat.aspx?id=" & id)
                    pd.createadmintab("Category Items", "editcat-items.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Category</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="name" runat="server" /></div>
                <div>
                    <div class="pageheading2">
                        Category Items</div>
                    <div class="helptext">
                        This following items are in this category</div>
                    <div class="inner_div">
                        <asp:Repeater ID="categoryitems" runat="server">
                            <HeaderTemplate>
                                <div class="itemno_tdhead">
                                    Item No.</div>
                                <div class="name_tdhead">
                                    Name</div>
                                <div class="tr">
                                </div>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <div class="itemno_td">
                                    <a href="javascript: delcatlink('<%# Container.DataItem("catlinkrecid") %>')">
                                        <%# Container.DataItem("itemno") %></a></div>
                                <div class="name_td">
                                    <a href="javascript: delcatlink('<%# Container.DataItem("catlinkrecid") %>')">
                                        <%# Container.DataItem("name") %>
                                        <%# Container.DataItem("inactive") %></a>
                                </div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="addcatlink('<%=id%>','')" value="Add Item" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
