<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)


        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM discounts WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    code.Text = pd.ReadData("code")
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

        End If
         
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If
         
         
        If IsNumeric(id) Then

            discountorders.DataSource = pd.bindthissql("SELECT TOP 25 id, shipname, orderno FROM orders WHERE disccode='" & pd.FormatSqlText(code.Text) & "' AND status<>'Incomplete'")
            discountorders.DataBind()

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editdiscount.aspx?id=" & id)
                    pd.createadmintab("Usage", "editdiscount-usage.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Discount History</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Discount Name</div>
                <div>
                    <asp:TextBox class="roformfield1" ID="name" runat="server" /></div>
                <div class="formheading">
                    Discount Code</div>
                <div>
                    <asp:TextBox class="roformfield1" ID="code" runat="server" /></div>
                <div>
                    <div class="pageheading2">
                        Orders</div>
                    <div class="helptext">
                        This following orders have used this discount</div>
                    <div class="inner_div">
                        <asp:Repeater ID="discountorders" runat="server">
                            <HeaderTemplate>
                                <div class="tdshead">
                                    Order No.</div>
                                <div class="tdlhead">
                                    Name</div>
                                <div class="tr">
                                </div>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <div class="tds">
                                    <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                        <%# pd.DoHtmlEncode(Container.DataItem("orderno")) %></a></div>
                                <div class="tdl">
                                    <a href="editorder.aspx?id=<%# Container.DataItem("id") %>">
                                        <%# pd.DoHtmlEncode(Container.DataItem("shipname")) %></a></div>
                                <div class="tr">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="helptext">
                            Only the most recent 25 orders are shown above</div>
                        <div class="button_div">
                            <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('searchresults.aspx?table=orders&field=disccode,shipname&data=<%=server.urlencode(code.text)%>')"
                                value="View All" /></div>
                    </div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
