<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage, task, status As String
    Public vsmallimage, vlargeimage As String
    Public itemcount As Int32

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = catid.SelectedValue
        task = pd.getrequest("task")
        status = pd.getrequest("status")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
            status = "notloaded"
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            catid.DataSource = pd.Getcategorytree("DropDown")
            catid.DataBind()
        End If

        If task = "reloadcats" Then
            id = catid.SelectedItem.Value
        End If

        'Update/Add Record if form is posted
        If task <> "reloadcats" And Page.IsPostBack Then

            Dim i As Int32
            Dim rc As RepeaterItemCollection = itemrepeater.Items
            i = 0
            For Each Item As RepeaterItem In rc

                tempctrl = Item.FindControl("theid")
                pd.OpenDataWriter("items WHERE id=" & tempctrl.text)

                tempctrl = Item.FindControl("itemno")
                pd.AddFormData("itemno", tempctrl.text, "Item No.", "T", 1, 50)
                tempctrl = Item.FindControl("price")
                pd.AddFormData("price", tempctrl.text, "Price", "C", 0, 0)
                tempctrl = Item.FindControl("saleprice")
                pd.AddFormData("saleprice", tempctrl.text, "Sale Price", "C", 0, 0)
                tempctrl = Item.FindControl("onsale")
                pd.AddData("onsale", tempctrl.selectedItem.Value, "T")
                tempctrl = Item.FindControl("active")
                pd.AddData("active", tempctrl.selectedItem.Value, "T")
                tempctrl = Item.FindControl("feature")
                pd.AddData("feature", tempctrl.selectedItem.Value, "T")
                tempctrl = Item.FindControl("qty")
                pd.AddFormData("qty", tempctrl.text, "Inv Qty", "N", 0, 0)

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = ""
                End If

                i = i + 1

            Next
            If pd.formerror = "" Then
                pd.formerror = "Records Updated!"
            End If
             
            pd.gotonextpage()
             
        End If

        id = catid.SelectedItem.Value
        If IsNumeric(id) And (Not (Page.IsPostBack) Or task = "reloadcats") Then
            itemrepeater.DataSource = pd.binditemstoedit(id)
            itemcount = itemrepeater.DataSource.Count
            itemrepeater.DataBind()
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">


        function reloadcategoryitems() {
            document.getElementById('task').value = 'reloadcats';
            document.getElementById('aspnetForm').submit();
        }

    </script>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" action="edititem_bulk.aspx" runat="server" id="aspnetForm">
            <input type="hidden" id="task" name="task" value="" />
            <div>
                <%
                    pd.createadmintab("Items by Category", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Bulk Edit by Category</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Select a Category from the list, and then use the form below to update existing
                    Items in the category.</div>
                <div class="formheading">
                    Select Category</div>
                <div>
                    <asp:DropDownList OnChange="reloadcategoryitems();" ID="catid" runat="server" DataValueField="id"
                        DataTextField="listname" />
                </div>
                <% If status <> "notloaded" Then%>
                <div class="pageheading2">
                    Category Items</div>
                <div class="inner_div">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr class="formheading">
                            <td>
                            </td>
                            <td>
                                Item No/SKU.
                            </td>
                            <td>
                                Price
                            </td>
                            <td>
                                Sale Price
                            </td>
                            <td>
                                On Sale?
                            </td>
                            <td>
                                Featured
                            </td>
                            <td>
                                Active
                            </td>
                            <td>
                                Inv. Qty
                            </td>
                        </tr>
                        <asp:Repeater ID="itemrepeater" runat="server">
                            <ItemTemplate>
                                <tr class="">
                                    <td>
                                        <asp:TextBox Visible="false" ID="theid" Text='<%# DataBinder.Eval(Container.DataItem,"theid").ToString() %>'
                                            runat="server" /><input type="hidden" name="id<%#Container.ItemIndex %>" value="<%# Container.DataItem("theid") %>">
                                    </td>
                                    <td>
                                        <asp:TextBox class="formfieldnumber" ID="itemno" Text='<%# DataBinder.Eval(Container.DataItem,"itemno").ToString() %>'
                                            runat="server" />
                                    </td>
                                    <td>
                                        <asp:TextBox class="formfieldnumber" ID="price" Text='<%# DataBinder.Eval(Container.DataItem,"price").ToString() %>'
                                            runat="server" />
                                    </td>
                                    <td>
                                        <asp:TextBox class="formfieldnumber" ID="saleprice" Text='<%# DataBinder.Eval(Container.DataItem,"saleprice").ToString() %>'
                                            runat="server" />
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="onsale" runat="server" SelectedValue='<%# DataBinder.Eval(Container.DataItem,"onsale").ToString() %>'>
                                            <asp:ListItem Value="No" Text="No" />
                                            <asp:ListItem Value="Yes" Text="Yes" />
                                        </asp:DropDownList>
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="feature" runat="server" SelectedValue='<%# DataBinder.Eval(Container.DataItem,"feature").ToString() %>'>
                                            <asp:ListItem Value="No" Text="No" />
                                            <asp:ListItem Value="Yes" Text="Yes" />
                                        </asp:DropDownList>
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="active" runat="server" SelectedValue='<%# DataBinder.Eval(Container.DataItem,"active").ToString() %>'>
                                            <asp:ListItem Value="No" Text="No" />
                                            <asp:ListItem Value="Yes" Text="Yes" />
                                        </asp:DropDownList>
                                    </td>
                                    <td>
                                        <asp:TextBox class="formfieldnumber" ID="qty" Text='<%# DataBinder.Eval(Container.DataItem,"qty").ToString() %>'
                                            runat="server" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </div>
                <div class="formbutton_div">
                    <asp:Button class="formbutton" Text="Save Changes" runat="server" /></div>
                <%End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
