<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            catid.DataSource = pd.Getcategorytree("DropDown")
            catid.DataBind()

            customid.DataSource = pd.getcustompages() 'pd.bindthissql("SELECT id, headname FROM custompages ORDER BY headname")
            customid.DataBind()
            
            menucols.Items.Add(1)
            menucols.Items.Add(2)

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM menutabs WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    menulabel.Text = pd.ReadData("menulabel")
                    otherurl.Text = pd.ReadData("otherurl")
                    imgurl.Text = pd.ReadData("imgurl")
                    tabrow.Text = pd.ReadDataN("tabrow")
                    tabpos.Text = pd.ReadDataN("tabpos")
                    menutableft.Text = pd.ReadDataN("menutableft")
                    menucolwidth.Text = pd.ReadDataN("menucolwidth")
                    If menucolwidth.Text = "0" Then menucolwidth.Text = "250"
                    
                    'Drop Downs
                    catid.SelectedIndex = catid.Items.IndexOf(catid.Items.FindByValue(pd.ReadDataN("catid")))
                    customid.SelectedIndex = customid.Items.IndexOf(customid.Items.FindByValue(pd.ReadDataN("customid")))

                    'CheckBoxes
                    If pd.ReadDataN("imgen") = 1 Then imgen.Checked = True

                    If InStr(pd.ReadData("linkloc"), "A") > 0 Or pd.ReadData("linkloc") = "" Then linkloca.Checked = True
                    If InStr(pd.ReadData("linkloc"), "B") > 0 Or pd.ReadData("linkloc") = "" Then linklocb.Checked = True
                    If InStr(pd.ReadData("linkloc"), "C") > 0 Or pd.ReadData("linkloc") = "" Then linklocc.Checked = True
                    If InStr(pd.ReadData("linkloc"), "D") > 0 Then linklocd.Checked = True


                    If pd.ReadDataN("tabtype") = 1 Then tabtype1.Checked = True
                    If pd.ReadDataN("tabtype") = 2 Then tabtype2.Checked = True
                    If pd.ReadDataN("tabtype") = 3 Then tabtype3.Checked = True
                    If pd.ReadDataN("tabtype") = 4 Then tabtype4.Checked = True
                    If pd.ReadDataN("tabtype") = 5 Then tabtype5.Checked = True
                    If pd.ReadDataN("tabtype") = 6 Then tabtype6.Checked = True
                    If pd.ReadDataN("tabtype") = 7 Then tabtype7.Checked = True
                    If pd.ReadDataN("tabtype") = 8 Then tabtype8.Checked = True
                    If pd.ReadDataN("tabtype") = 9 Then tabtype9.Checked = True
                    If pd.ReadDataN("tabtype") = 10 Then tabtype10.Checked = True
                    If pd.ReadDataN("tabtype") = 11 Then tabtype11.Checked = True

                    menucols.SelectedIndex = menucols.Items.IndexOf(menucols.Items.FindByText(pd.ReadDataN("menucols")))
                    
                    'Get Item Id
                    tempitemid = pd.ReadDataN("itemid")
                     
                Else
                    pd.showErrorMessage("Record Not Found")
                    tempitemid = 0
                End If
                pd.CloseData()
                 
                'Get Item No from itemid
                If tempitemid > 0 Then
                        
                    pd.OpenDataReader("SELECT itemno FROM items WHERE id=" & tempitemid)
                    If pd.ReadDataItem.Read Then
                        'Get Item Id
                        itemno.Text = pd.ReadData("itemno")
                    End If
                    pd.CloseData()
                    
                End If
                 
            Else
                'Default values when adding new record.
                'Text Input
                tabpos.Text = 1
                tabrow.Text = 1
                tabtype1.Checked = True
                menucolwidth.Text = 250
                menutableft.Text = 0
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
         
            'Get Itemid from ItemNo
            tempitemno = pd.checkNull(itemno.Text)
             
            'Get Item No from itemid
            If tempitemno <> "" Then
                    
                pd.OpenDataReader("SELECT id FROM items WHERE itemno='" & pd.FormatSqlText(tempitemno) & "'")
                If pd.ReadDataItem.Read Then
                    'Get Item Id
                    newitemid = pd.ReadDataN("id")
                Else
                    pd.formerror = pd.formerror & "Item No. not Found!"
                    newitemid = 0
                End If
                pd.CloseData()
             
            Else
                newitemid = 0
            End If

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("menutabs")
            Else
                'Update Existing Record
                pd.OpenDataWriter("menutabs WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("menulabel", menulabel.Text, "Name", "T", 1, 50)
            pd.AddFormData("otherurl", otherurl.Text, "URL", "T", 0, 255)
            pd.AddFormData("imgurl", imgurl.Text, "Image URL", "T", 0, 255)
            pd.AddFormData("tabrow", tabrow.Text, "Tab Row", "N", 0, 0)
            pd.AddFormData("tabpos", tabpos.Text, "Postion", "N", 0, 0)
            
            pd.AddFormData("menutableft", menutableft.Text, "Tab Row", "N", 0, 0)
            pd.AddFormData("menucolwidth", menucolwidth.Text, "Postion", "N", 0, 0)
            
            'Drop Downs
            pd.AddFormData("catid", catid.SelectedItem.Value, "", "N", 0, 0)
            pd.AddFormData("itemid", newitemid, "", "N", 0, 0)
            pd.AddFormData("customid", customid.SelectedItem.Value, "", "N", 0, 0)
            
            pd.AddFormData("menucols", menucols.SelectedItem.Value, "", "N", 0, 0)
            
            'Check Boxes
            If imgen.Checked = True Then
                pd.AddData("imgen", "1", "N")
            Else
                pd.AddData("imgen", "0", "N")
            End If
            
            templinkloc = ""
            If linkloca.Checked = True Then templinkloc = templinkloc & "A,"
            If linklocb.Checked = True Then templinkloc = templinkloc & "B,"
            If linklocc.Checked = True Then templinkloc = templinkloc & "C,"
            If linklocd.Checked = True Then templinkloc = templinkloc & "D,"
            pd.AddData("linkloc", templinkloc & ",", "T")

            If tabtype1.Checked = True Then pd.AddData("tabtype", "1", "N")
            If tabtype2.Checked = True Then pd.AddData("tabtype", "2", "N")
            If tabtype3.Checked = True Then pd.AddData("tabtype", "3", "N")
            If tabtype4.Checked = True Then pd.AddData("tabtype", "4", "N")
            If tabtype5.Checked = True Then pd.AddData("tabtype", "5", "N")
            If tabtype6.Checked = True Then pd.AddData("tabtype", "6", "N")
            If tabtype7.Checked = True Then pd.AddData("tabtype", "7", "N")
            If tabtype8.Checked = True Then pd.AddData("tabtype", "8", "N")
            If tabtype9.Checked = True Then pd.AddData("tabtype", "9", "N")
            If tabtype10.Checked = True Then pd.AddData("tabtype", "10", "N")
            If tabtype11.Checked = True Then pd.AddData("tabtype", "11", "N")
           
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                pd.clearpdshopcache()
                 
                pd.gotonextpage()
                 
                pd.pdRedirect("menutablist.aspx")
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM menutabs WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
            pd.clearpdshopcache()
            pd.pdRedirect("menutablist.aspx")
        End If


    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Menu/Link has been Deleted!', 'menutablist.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Configure Menu/Tabs", "menutablist.aspx")
                    pd.createadmintab("Menu/Link", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Edit Menu / Link</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="helptext">
                    Here you can create a Link (Menu Item or Tab) to a specific storefront element/page.&nbsp;
                    You can link to custom pages, outside web pages, or any of the shop pages, categories,
                    and items.</div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="menulabel" runat="server" />
                </div>
                <div class="formheading">
                    Type</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="linklocd" runat="server" />
                        DropDown Menu<div class="inner_div" style="margin-left: 20px;">
                            Columns:
                            <asp:DropDownList ID="menucols" runat="server" />
                            <br />
                            Column Width (in pixels):<asp:TextBox class="formfieldnumber" ID="menucolwidth" runat="server" /><br />
                            Left Position (aligns dropdown):<asp:TextBox class="formfieldnumber" ID="menutableft"
                                runat="server" />
                        </div>
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="linkloca" runat="server" />
                        Tab</div>
                    <div class="check_div">
                        <asp:CheckBox ID="imgen" runat="server" />
                        Use an Image:
                        <asp:TextBox class="formfield1" ID="imgurl" runat="server" />
                        <a href="javascript: insertimage('imgurl')">
                            <img align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)" /></a>
                        <a href="javascript: uploadimage('imgurl')">
                            <img align="middle" border="0" src="img/pd_disk.gif" alt="Upload Image" /></a></div>
                    <div class="check_div">
                        <asp:CheckBox ID="linklocb" runat="server" />
                        Bottom Link</div>
                    <div class="check_div">
                        <asp:CheckBox ID="linklocc" runat="server" />
                        Custom Menu</div>
                </div>
                <div class="formheading">
                    Tab Row</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="tabrow" runat="server" />
                </div>
                <div class="formheading">
                    Position</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="tabpos" runat="server" />
                </div>
                <div class="formheading">
                    Link To</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype1" runat="server" />
                        Home Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype2" runat="server" />
                        Category List</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype3" runat="server" />
                        Contact Us</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype4" runat="server" />
                        Features Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype8" runat="server" />
                        Affiliates Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype10" runat="server" />
                        Gift Certificate Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype11" runat="server" />
                        WishList Lookup Page</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype5" runat="server" />
                        Specific Category
                        <asp:DropDownList ID="catid" runat="server" DataValueField="id" DataTextField="listname" />
                    </div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype6" runat="server" />
                        Specific Item (by Item No.)
                        <asp:TextBox class="formfield1" ID="itemno" runat="server" /></div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype9" runat="server" />
                        URL:
                        <asp:TextBox class="formfield1" ID="otherurl" runat="server" /></div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="tabtype" ID="tabtype7" runat="server" />
                        Custom Page
                        <asp:DropDownList ID="customid" runat="server" DataValueField="id" DataTextField="headname" />
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Menu/Link?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
