<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage, taxerror As String
    Public vsmallimage, vlargeimage As String
    Public taxstatus As Integer

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         

            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadDataT("ordertime")
                    tempordstatus = pd.ReadData("status")
                    orderstatus.Text = pd.ReadData("status")

                Else
                    pd.showErrorMessage("Record Not Found")
                    tempordstatus = ""
                    
                End If
                pd.CloseData()


                'Handle Incomplete orders
                If tempordstatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & id)

            Else
                'Default values when adding new record.

            End If
         

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If


        If IsNumeric(id) Then

            orderdetail.DataSource = pd.bindorderdetail("", id)
            orderdetail.DataBind()

            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
                taxstatus = pd.ReadDataN("taxstatus")
            End If
            pd.CloseData()

            pd.getOrderVariables(customerid, id, "")
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" /></div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" /></div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" />
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" />
                                </div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" /></div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="pageheading2">
                    Order Items</div>
                <div class="inner_div">
                    <div class="tdshead">
                        Item No.</div>
                    <div class="tdlhead">
                        Name</div>
                    <div class="tdshead">
                        Qty</div>
                    <div class="tdshead">
                        Price Ea.</div>
                    <div class="tdshead">
                        Extended</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="orderdetail" runat="server">
                        <ItemTemplate>
                            <% If taxstatus = 3 Then%>
                            <div class="tds">
                                <%# Container.DataItem("itemno") %>&nbsp;</div>
                            <div class="tdl">
                                <%# Container.DataItem("itemname") %>
                                <%# Container.DataItem("cdesc") %>&nbsp;</div>
                            <% Else%>
                            <div class="tds">
                                <a href="javascript: editorderitem('<%# Container.DataItem("recid") %>')">
                                    <%# Container.DataItem("itemno") %>&nbsp;</a></div>
                            <div class="tdl">
                                <a href="javascript: editorderitem('<%# Container.DataItem("recid") %>')">
                                    <%# Container.DataItem("itemname") %>
                                    <%# Container.DataItem("cdesc") %></a>&nbsp;</div>
                            <% End If%>
                            <div class="tds">
                                <%# Container.DataItem("cqty") %></div>
                            <div class="tds">
                                <%# Container.DataItem("linepriceeach") %></div>
                            <div class="tds">
                                <%# Container.DataItem("linepricetotal") %></div>
                            <div class="tr">
                            </div>
                            <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("itemoptions") %>'>
                                <ItemTemplate>
                                    <% If taxstatus = 3 Then%>
                                    <div class="tds">
                                        <%# Container.DataItem("itemno") %></div>
                                    <div class="tdl">
                                        <%# Container.DataItem("optionname") %></div>
                                    <% Else%>
                                    <div class="tds">
                                        <a href="javascript: editorderitem('<%# Container.DataItem("recid") %>')">
                                            <%# Container.DataItem("itemno") %></a></div>
                                    <div class="tdl">
                                        <a href="javascript: editorderitem('<%# Container.DataItem("recid") %>')">
                                            <%# Container.DataItem("optionname") %></a></div>
                                    <% End If%>
                                    <div class="tds">
                                        <%# Container.DataItem("cqty") %></div>
                                    <div class="tds">
                                        <%# Container.DataItem("linepriceeach") %></div>
                                    <div class="tds">
                                        <%# Container.DataItem("linepricetotal") %></div>
                                    <div class="tr">
                                    </div>
                                </ItemTemplate>
                            </asp:Repeater>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
                <%  If taxstatus = 3 Then%>
                <div class="helptext">
                    You cannot change some items in this order. You must first Remove/Refund Tax, see
                    "Billing" Tab.</div>
                <% Else%>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="addorderitem('<%=id%>','<%=customerid%>')"
                        value="Add Item" /></div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
