<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage, oldstatus, sendemailnow As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If IsNumeric(id) = False Then
            id = ""
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            status.DataSource = pd.getstatuscodes()
            status.DataBind()

            If id <> "" Then

                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                 
                    customerid = pd.ReadDataN("customerid")
                    orderno.Text = pd.ReadDataN("orderno")
                    orderdate.Text = pd.ReadDataD("orderdate")
                    ordertime.Text = pd.ReadDataT("ordertime")
                    tempordstatus = pd.ReadData("status")
                    oldstatus = pd.ReadData("status")
                    orderstatus.Text = pd.ReadData("status")
                     
                    status.SelectedIndex = status.Items.IndexOf(status.Items.FindByText(pd.ReadData("status")))
                    If pd.ReadDataN("downen") = 1 Then downen.Checked = True
                    notes.Value = pd.ReadData("notes")
                    notes2.Value = pd.ReadData("notes2")
                    notes3.Value = pd.ReadData("notes3")
                    notes4.Value = pd.ReadData("notes4")
                    notes5.Value = pd.ReadData("notes5")
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()


                'Handle Incomplete orders
                If tempordstatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & id)

            Else
                'Default values when adding new record.

            End If
         

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("orders")
            Else
                'Update Existing Record
                pd.OpenDataWriter("orders WHERE id=" & id)
            End If

            'Text Areas
            pd.AddFormData("notes", notes.Value, "Notes", "T", 0, 50000)
            pd.AddFormData("notes2", notes2.Value, "Public Notes", "T", 0, 50000)
            pd.AddFormData("status", status.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("notes3", notes3.Value, "Order Notes from Customer", "T", 0, 255)
            pd.AddFormData("notes4", notes4.Value, "Shipping Notes from Customer", "T", 0, 255)
            pd.AddFormData("notes5", notes5.Value, "Payment/Billing Notes from Customer", "T", 0, 255)

            If downen.Checked = True Then
                pd.AddData("downen", 1, "N")
            Else
                pd.AddData("downen", 0, "N")
            End If
         
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                
                'Handle Status Change Email
                If pd.getrequest("oldstatus") <> status.SelectedValue Then
                    
                    'Open Database, get values
                    pd.OpenDataReader("SELECT * FROM status WHERE emailen>0 AND name='" & pd.FormatSqlText(status.SelectedValue) & "'")
                    If pd.ReadDataItem.Read Then
                        sendemailnow = "Yes"
                        statusid = pd.ReadDataN("id")
                    End If
                    pd.CloseData()
                    
                End If
                
                If sendemailnow = "Yes" Then
                    pd.pdRedirect("editorder-statusemail.aspx?statusid=" & statusid & "&id=" & id)
                Else
                    pd.gotonextpage()
                End If
                
            End If
         

        End If


        If IsNumeric(id) Then


            pd.OpenDataReader("SELECT * FROM orders WHERE id=" & id)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
            End If
            pd.CloseData()

            pd.getOrderVariables(customerid, id, cartid)
            ordertotal.Text = pd.showcurr(pd.dOrdergrandtotal)
            orderstatus.Text = pd.sStatus

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <input type="hidden" name="oldstatus" value="<%=oldstatus%>" />
            <div>
                <%
                    pd.createadmintab("Summary", "editorder.aspx?id=" & id)
                    pd.createadmintab("Billing", "editorder-billing.aspx?id=" & id)
                    pd.createadmintab("Shipping", "editorder-shipping.aspx?id=" & id)
                    pd.createadmintab("Order Items", "editorder-items.aspx?id=" & id)
                    pd.createadmintab("Status/Notes", "editorder-status.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Order Details</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td valign="top">
                                <div class="formheading">
                                    Order No</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderno" runat="server" />
                                </div>
                                <div class="formheading">
                                    Order Total</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertotal" runat="server" />
                                </div>
                            </td>
                            <td valign="top">
                                <div class="formheading">
                                    Order Date</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="orderdate" runat="server" />
                                    <asp:TextBox ReadOnly="true" class="roformfield3" ID="ordertime" runat="server" />
                                </div>
                                <div class="formheading">
                                    Status</div>
                                <div>
                                    <asp:TextBox ReadOnly="true" class="roformfield4" ID="orderstatus" runat="server" />
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="formheading">
                    Status</div>
                <div>
                    <asp:DropDownList ID="status" runat="server" DataValueField="name" DataTextField="name" />
                </div>
                <div class="check_div">
                    <asp:CheckBox ID="downen" runat="server" />
                    Enable Downloads?</div>
                <div class="formheading">
                    Notes (internal)</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="notes" cols="55"   runat="server" /></div>
                <div class="formheading">
                    Public Notes (Shown on customer receipt)</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="notes2" cols="55"   runat="server" /></div>
                <div class="formheading">
                    Order Notes (from Customer)</div>
                <div>
                    <textarea class="formtextarea" rows="3" id="notes3" cols="55"   runat="server" /></div>
                <div class="formheading">
                    Shipping Notes (from Customer)</div>
                <div>
                    <textarea class="formtextarea" rows="3" id="notes4" cols="55"   runat="server" /></div>
                <div class="formheading">
                    Payment/Billing Notes (from Customer)</div>
                <div>
                    <textarea class="formtextarea" rows="3" id="notes5" cols="55"   runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
