<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" ValidateRequest="False" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    

    Public pd As Object

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        edittype = pd.getrequest("edittype")
        edit = pd.getrequest("edit")
        editorcontent = pd.getrequest("thecontent") & " "

        'Convert HTML Brackets back from ##L##
        editorcontent = Replace(editorcontent, "##L##", "<")
        editorcontent = Regex.Replace(editorcontent, "\xA0", " ") ' Fix for Invalid Hex characters in XML file errors
        
        'Replace PDshop URLs in image URLs (if applicable)
        editorcontent = pd.fiximageurls(editorcontent)
         
        If (edittype = "other") And pd.isdbfieldname(edit) = True Then
            pd.OpenSetupDataWriter("otherxml", "misc")
            pd.AddData(edit, Trim(editorcontent), "T")
            pd.SaveData()
            pd.clearpdshopcache()
        End If

        If (edittype = "commondata") And pd.isdbfieldname(edit) = True Then
            pd.OpenDataWriter("pd_commondata WHERE id>0")
            pd.AddData(edit, Trim(editorcontent), "T")
            pd.SaveData()
            pd.clearpdshopcache()
        End If

        If edittype = "item" And IsNumeric(edit) Then
            pd.OpenDataWriter("items WHERE id=" & edit)
            pd.AddData("description", Trim(editorcontent), "T")
            pd.SaveData()
        End If

        If edittype = "category" And IsNumeric(edit) Then
            pd.OpenDataWriter("category WHERE id=" & edit)
            pd.AddData("description", Trim(editorcontent), "T")
            pd.SaveData()
        End If

        If edittype = "custompage" And IsNumeric(edit) Then
            pd.OpenDataWriter("custompages WHERE id=" & edit)
            pd.AddData("description", Trim(editorcontent), "T")
            pd.SaveData()
        End If
         
        If pd.pdxmldebug = "ON" Then
            If (edittype = "xml") And (edit = "setupxml" Or edit = "langxml" Or edit = "otherxml") Then
                pd.OpenDataWriter("pd_setup WHERE id>0")
                pd.AddData(edit, Trim(editorcontent), "T")
                pd.SaveData()
                pd.clearpdshopcache()
            End If
        End If
         


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">
<!--
        window.close();
//-->
    </script>
</asp:Content>
