<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public orderid, customerid, task, orderheader, orderfooter As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)

        If Not (Page.IsPostBack) Then
        End If

        orderid = pd.getrequest("id")
        task = pd.getrequest("task")
        If task = "print" Then
            Master.onloadhtml = "printnormal();"
        End If
                
        'Get additional page setup info.
        pd.OpenSetupDataReader("otherxml", "misc")

        orderheader = pd.ReadData("orderheader")
        orderfooter = pd.ReadData("orderfooter")

        pd.CloseData()

        'Get customer ID.
        If IsNumeric(orderid) Then
            pd.OpenDataReader("SELECT customerid FROM orders WHERE id=" & orderid)
            If pd.ReadDataItem.Read Then
                customerid = pd.ReadDataN("customerid")
            End If
            pd.CloseData()

            'Get Order Details
            pd.getOrderVariables(customerid, orderid, "")

            orderdetail.DataSource = pd.bindorderdetail("", orderid)
            orderdetail.DataBind()
        End If
        
        'Handle Incomplete orders
        If pd.sStatus = "Incomplete" Then pd.pdRedirect("editorderstatus.aspx?id=" & orderid)
         
        'Log Event
        pd.LogAdminEvent(110, orderid, "")

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="orderbody">
        <div>
            <%=orderheader%></div>
        <div>
            <table width="100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td width="49%" valign="top">
                        <div style="width: 49%; float: left; overflow: hidden;">
                            <div class="orderheader">
                                <%=pd.getsystext("sys65")%></div>
                            <div class="ordertxt">
                                <%=pd.iOrderno%></div>
                        </div>
                        <div style="width: 49%; float: left; overflow: hidden;">
                            <div class="orderheader">
                                <%=pd.getsystext("sys66")%></div>
                            <div class="ordertxt">
                                <%=pd.showdate(pd.sOrderdate)%></div>
                        </div>
                        <div class="tr">
                        </div>
                        <div style="width: 98%;">
                            <div class="orderheader">
                                <%=pd.getsystext("sys67")%></div>
                            <div class="ordertxt">
                                <%= pd.dohtmlencode(pd.sStatus)%></div>
                            <div class="orderheader">
                                <%=pd.getsystext("sys23")%></div>
                            <div class="ordertxt">
                                <%= pd.dohtmlencode(pd.sBillEmail)%></div>
                            <div class="orderheader">
                                <%=pd.getsystext("sys27")%></div>
                            <div class="ordertxt">
                                <%= pd.dohtmlencode(pd.sBillPhone)%></div>
                            <div class="orderheader">
                                <%=pd.getsystext("sys40")%></div>
                            <div class="ordertxt">
                                <%=pd.doHtmlEncode(pd.sCarriername)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sTracking)%></div>
                        </div>
                    </td>
                    <td width="2%">
                    </td>
                    <td width="49%" valign="top">
                        <div style="width: 49%; float: left; overflow: hidden;">
                            <div class="orderheader">
                                <%=pd.getsystext("sys33")%></div>
                            <div class="ordertxt">
                                <%= pd.dohtmlencode(pd.sBillName)%>
                                <br />
                                <% If pd.sBillCompany <> "" Then%>
                                <%= pd.dohtmlencode(pd.sBillCompany)%><br />
                                <% End If%>
                                <%= pd.dohtmlencode(pd.sBillstreet1)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sBillstreet2)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sBillcity)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sBillstate)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sBillZip)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sBillcountry)%></div>
                        </div>
                        <div style="width: 49%; float: left; overflow: hidden;">
                            <div class="orderheader">
                                <%=pd.getsystext("sys34")%></div>
                            <div class="ordertxt">
                                <%= pd.dohtmlencode(pd.sShipName)%>
                                <br />
                                <% If pd.sShipCompany <> "" Then%>
                                <%= pd.dohtmlencode(pd.sShipCompany)%><br />
                                <% End If%>
                                <%= pd.dohtmlencode(pd.sShipstreet1)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sShipstreet2)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sShipcity)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sShipstate)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sShipzip)%>
                                <br />
                                <%= pd.dohtmlencode(pd.sShipcountry)%></div>
                        </div>
                        <div class="tr">
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <% If pd.adminlevel < 3 Then%>
        <div class="orderheader" style="width: 100%;">
            <div style="width: 30%; float: left;">
                <%=pd.getsystext("sys47")%></div>
            <div style="width: 41%; float: left;">
                <%=pd.getsystext("sys48")%></div>
            <div style="width: 29%; float: left;">
                <%=pd.getsystext("sys50")%></div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="ordertxt" style="width: 100%;">
            <div style="width: 30%; float: left;">
                <%= pd.dohtmlencode(pd.sCctype)%><%If pd.sCctype = "PayPal" Then%>
                (<%= pd.dohtmlencode(pd.sCctrxid)%>)<%End If%></div>
            <div style="width: 41%; float: left;">
                <%= pd.dohtmlencode(pd.sCcardnohide)%>&nbsp;</div>
            <div style="width: 29%; float: left;">
                <% If pd.hidecc = 1 Then%>
                **/**
                <% Else%>
                <%= pd.dohtmlencode(pd.sExpmonth)%>/
                <%= pd.dohtmlencode(pd.sExpyear)%><% End If%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <div class="orderheader" style="width: 100%;">
            <div style="width: 30%; float: left;">
                Approval / Trx ID</div>
            <div style="width: 41%; float: left;">
                Name on Card</div>
            <div style="width: 29%; float: left;">
                IP Address</div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="ordertxt" style="width: 100%;">
            <div style="width: 30%; float: left;">
                <%=pd.doHtmlEncode(pd.sCcapproval)%>
                /
                <%=pd.doHtmlEncode(pd.sCctrxid)%></div>
            <div style="width: 41%; float: left;">
                <%=pd.doHtmlEncode(pd.sCcnoc)%>&nbsp;</div>
            <div style="width: 29%; float: left;">
                <%=pd.doHtmlEncode(pd.sIpaddr)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <div class="orderheader" style="width: 100%;">
            <div class="ordercolumn_1">
                <%=pd.getsystext("sys2")%></div>
            <div class="ordercolumn_2">
                <%=pd.getsystext("sys1")%></div>
            <div class="ordercolumn_3">
                <%=pd.getsystext("sys3")%></div>
            <div class="ordercolumn_4">
                <%= pd.getsystext("sys4")%></div>
            <div class="ordercolumn_5">
                <%= pd.getsystext("sys5")%></div>
            <div style="clear: both;">
            </div>
        </div>
        <asp:Repeater ID="orderdetail" runat="server">
            <ItemTemplate>
                <div class="ordertxt" style="width: 100%;">
                    <div class="ordercolumn_1">
                        <%# Container.DataItem("itemno") %></div>
                    <div class="ordercolumn_2">
                        <%# Container.DataItem("itemname") %><%# Container.DataItem("notesoptions") %></div>
                    <div class="ordercolumn_3">
                        <%# Container.DataItem("lineqty") %></div>
                    <div class="ordercolumn_4">
                        <%# Container.DataItem("linepriceeach") %></div>
                    <div class="ordercolumn_5">
                        <%# Container.DataItem("linepricetotal") %></div>
                    <div style="clear: both;">
                    </div>
                </div>
                <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("itemoptions") %>'>
                    <ItemTemplate>
                        <div class="ordertxt" style="width: 100%;">
                            <div class="ordercolumn_1">
                                <%# Container.DataItem("itemno") %></div>
                            <div class="ordercolumn_2">
                                <%# Container.DataItem("optionname") %>
                                <br />
                                <%# Container.DataItem("optiontext") %></div>
                            <div class="ordercolumn_3">
                                <%# Container.DataItem("lineqty") %></div>
                            <div class="ordercolumn_4">
                                <%# Container.DataItem("linepriceeach") %></div>
                            <div class="ordercolumn_5">
                                <%# Container.DataItem("linepricetotal") %></div>
                            <div style="clear: both;">
                            </div>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
            </ItemTemplate>
        </asp:Repeater>
        <div class="ordertxt" style="width: 100%; height: 20px;">
            &nbsp;
        </div>
        <hr class="rowline" />
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                <%=pd.getsystext("sys11")%></div>
            <div class="ordertotalcolumn_2">
                <%=pd.showCurr(pd.dordersub)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% If pd.dDiscounts > 0 Then%>
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                (<%=pd.sDisccode%>)
                <%=pd.getsystext("sys7")%></div>
            <div class="ordertotalcolumn_2">
                -<%=pd.showCurr(pd.dDiscounts)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <% If pd.sCarriername <> "" Then%>
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                <%If pd.sRatemethod = "2" Then Response.Write("*")%><%=pd.getsystext("sys39")%></div>
            <div class="ordertotalcolumn_2">
                <%
                    If pd.sRatemethod = "3" And pd.dCarrierrate <= 0 Then
                        Response.Write(pd.getsystext("sys109"))
                    Else
                        Response.Write(pd.showcurr(pd.dCarrierrate))
                    End If
                %></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <% If pd.dOrdertaxtotal > 0 Then%>
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                <%=pd.getsystext("sys60")%></div>
            <div class="ordertotalcolumn_2">
                <%=pd.showCurr(pd.dOrdertaxtotal)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <% If pd.dGiftamt > 0 Then%>
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                <%=pd.getsystext("sys9")%></div>
            <div class="ordertotalcolumn_2">
                -<%=pd.showCurr(pd.dGiftamt)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <% If pd.dDiscounts > 0 Or pd.dCarrierrate > 0 Or pd.dOrdertaxtotal > 0 Or pd.dGiftamt > 0 Then%>
        <div class="ordertxt" style="width: 100%;">
            <div class="ordertotalcolumn_1">
                <%=pd.getsystext("sys61")%></div>
            <div class="ordertotalcolumn_2">
                <%=pd.showCurr(pd.dOrdergrandtotal)%></div>
            <div style="clear: both;">
            </div>
        </div>
        <% End If%>
        <% If pd.sNotes <> "" Then%>
        <div class="orderheader">
            Notes (internal)</div>
        <div class="ordertxt">
            <%= pd.dohtmlencode(pd.sNotes)%></div>
        <% End If%>
        <% If pd.sNotes2 <> "" Then%>
        <div class="orderheader">
            Public Notes (To customer)</div>
        <div class="ordertxt">
            <%= pd.dohtmlencode(pd.sNotes2)%></div>
        <% End If%>
        <% If pd.sNotes3 <> "" Then%>
        <div class="innerorderheader">
            Order Notes (From customer)</div>
        <div class="innerordertxt">
            <%= pd.dohtmlencode(pd.sNotes3)%></div>
        <% End If%>
        <% If pd.sNotes4 <> "" Then%>
        <div class="innerorderheader">
            Shipping Notes (From customer)</div>
        <div class="innerordertxt">
            <%= pd.dohtmlencode(pd.sNotes4)%></div>
        <% End If%>
        <% If pd.sNotes5 <> "" Then%>
        <div class="innerorderheader">
            Payment/Billing Notes (From customer)</div>
        <div class="innerordertxt">
            <%= pd.dohtmlencode(pd.sNotes5)%></div>
        <% End If%>
        <div>
            <%'=orderfooter%></div>
    </div>
    <div class="popupformbutton_div nonprint">
        <input type="submit" onclick="window.print()" class="formbutton" value="Print" /><input
            type="submit" onclick="window.close()" class="formbutton" value="Close" /></div>
</asp:Content>
