<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("otherxml", "email")

            If pd.ReadData("contemailen") = "ON" Then contemailen.Checked = True
            contemailto.Text = pd.ReadData("contemailto")
            contemailcc.Text = pd.ReadData("contemailcc")
            
            If pd.ReadData("contemailenb") = "ON" Then
                contemailenbon.Checked = True
            ElseIf pd.ReadData("contemailenb") = "RT" Then
                contemailenbrt.Checked = True
            Else
                contemailenbnone.Checked = True
            End If

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("otherxml", "email")

            If contemailen.Checked = True Then
                pd.AddData("contemailen", "ON", "T")
            Else
                pd.AddData("contemailen", "", "T")
            End If
                 
            pd.AddFormData("contemailto", contemailto.Text, "To Email", "E", 0, 50)
            pd.AddFormData("contemailcc", contemailcc.Text, "CC Email", "E", 0, 50)
            
            If contemailenbon.Checked = True Then
                pd.AddData("contemailenb", "ON", "T")
            ElseIf contemailenbrt.Checked = True Then
                pd.AddData("contemailenb", "RT", "T")
            Else
                pd.AddData("contemailenb", "", "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                     
                pd.gotonextpage()
                     
            End If
             
        End If


        'Send Test emails
        If testno <> "" Then
                     
            pd.Sendemail(contemailto.Text, contemailcc.Text, "", "", "Contact Us Test", "Contact Us Body Test", "Text", "")
            pd.formerror = pd.formerror & pd.formaterror
            
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
                <input type="hidden" name="testno" id="testno" />
                <div>
                    <%
                        pd.createadmintab("Settings", "setup-email.aspx")
                        pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                        pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                        pd.createadmintab("Order Status", "setup-email-status.aspx")
                        pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                        pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                        pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                        pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                        pd.writeadmintabs()
                    %>
                </div>
                <div class="forms">
                    <div class="pageheading1">
                        Email Settings
                    </div>
                    <div class="message">
                        <%=pd.getFormError()%>
                    </div>
                    <div class="pageheading2">
                        Contact Us
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="contemailen" runat="server" />Enable Contact Us
                    </div>
                    <div class="formheading">
                        Send Email to: (ex. you@yourdomain.com)
                    </div>
                    <div>
                        <asp:TextBox class="formfield1" ID="contemailto" runat="server" />
                    </div>
                    <div class="formheading">
                        Send Copy to
                    </div>
                    <div>
                        <asp:TextBox class="formfield1" ID="contemailcc" runat="server" />
                    </div>
                    <div>

                        <div class="formheading">
                            From / Reply To setting
                        </div>
                        <div class="radio_div">
                            <asp:RadioButton GroupName="contemailenb" ID="contemailenbrt" runat="server" />Set Customer's email as "Reply To" address (Recommended)
                        </div>
                        <div class="radio_div">
                            <asp:RadioButton GroupName="contemailenb" ID="contemailenbon" runat="server" />Use Customer's email as "From"
                        address
                        </div>

                        <div class="radio_div">
                            <asp:RadioButton GroupName="contemailenb" ID="contemailenbnone" runat="server" />From/Reply To is My Address
                        </div>
                        <div class="helptext">
                            (NOTE: Some Mail Servers may reject emails from unknown senders, use caution with the From/Reply To settings)
                        </div>
                    </div>
                    <div class="formbutton_div">
                        <input type="submit" class="formbutton" value="Save Changes" />
                        <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" />
                    </div>
                </div>
            </form>
        </div>
    </div>
</asp:Content>
