<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, testno, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        testno = pd.getrequest("testno")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("otherxml", "email")

            If pd.ReadData("confemail") = "ON" Then confemail.Checked = True
            emailfrom1.Text = pd.ReadData("emailfrom1")
            emailfromname1.Text = pd.ReadData("emailfromname1")
            emailsubject1.Text = pd.ReadData("emailsubject1")
            emailbody1.Value = pd.ReadData("emailbody1")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
        
            pd.OpenSetupDataWriter("otherxml", "email")
            If confemail.Checked = True Then
                pd.AddData("confemail", "ON", "T")
            Else
                pd.AddData("confemail", "", "T")
            End If
            pd.AddFormData("emailfrom1", emailfrom1.Text, "From Email", "E", 0, 50)
            pd.AddFormData("emailfromname1", emailfromname1.Text, "Name", "T", 0, 50)
            pd.AddFormData("emailsubject1", emailsubject1.Text, "Subject", "T", 0, 50)
            pd.AddFormData("emailbody1", emailbody1.Value, "Message Body 1", "T", 0, 5000)
            pd.SaveData()

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
                     
            End If
             
        End If

        'Send Test emails
        If testno <> "" Then
         
            If confemail.Checked = True Then
                pd.Sendemail(emailfrom1.Text, "", emailfrom1.Text, emailfromname1.Text, emailsubject1.Text, emailbody1.Value, "Text", "")
                pd.formerror = pd.formerror & pd.formaterror
            End If
            
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno" id="testno" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-email.aspx")
                    pd.createadmintab("Contact Us", "setup-email-contactus.aspx")
                    pd.createadmintab("Order Confirmation", "setup-email-orders.aspx")
                    pd.createadmintab("Order Status", "setup-email-status.aspx")
                    pd.createadmintab("Passwords", "setup-email-passwords.aspx")
                    pd.createadmintab("Affiliates", "setup-email-affiliates.aspx")
                    pd.createadmintab("Gift Certs", "setup-email-giftcert.aspx")
                    pd.createadmintab("Email A Friend", "setup-email-emailfriend.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Email Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Order Confirmation</div>
                <div class="check_div">
                    <asp:CheckBox ID="confemail" runat="server" />Send Email Confirmation?</div>
                <div class="helptext">
                    (Check this box if want to send an order confirmation to your customer after an
                    order is received.)</div>
                <div class="formheading">
                    From Name: (ex. Store Name)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfromname1" runat="server" /></div>
                <div class="formheading">
                    From Email: (ex. you@yourdomain.com)</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailfrom1" runat="server" /></div>
                <div class="formheading">
                    Subject</div>
                <div class="helptext">
                    You can use this variable: ##ORDERNO##</div>
                <div>
                    <asp:TextBox class="formfield1" ID="emailsubject1" runat="server" /></div>
                <div class="formheading">
                    Message Body</div>
                <div class="helptext">
                    You can use these variables: ##ORDERLINK##, ##ORDERNO##, ##CUSTNAME##, ##DATE##</div>
                <div>
                    <textarea class="formtextarea" rows="8" id="emailbody1" cols="55"  
                        runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" />
                    <input type="button" onclick="sendtest('NO')" class="formbutton" value="Save & Send Test" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
