<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, giftopt, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        fixamount.DataSource = pd.getgiftcertamounts()
        fixamount.DataBind()

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadDataN("giften") = 1 Then form_giften.Checked = True
            If pd.ReadDataN("gifteonly") = 1 Then form_gifteonly.Checked = True
            If pd.ReadDataN("giftauto") = 0 Then form_giftauto.Checked = True
            If InStr(pd.ReadData("giftopt"), "VA") > 0 Then giftopt1.Checked = True
            If InStr(pd.ReadData("giftopt"), "FI") > 0 Then giftopt2.Checked = True
                 
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            If form_giften.Checked = True Then
                pd.AddData("giften", 1, "N")
            Else
                pd.AddData("giften", 0, "N")
            End If
            
            If form_gifteonly.Checked = True Then
                pd.AddData("gifteonly", 1, "N")
            Else
                pd.AddData("gifteonly", 0, "N")
            End If
            
            If form_giftauto.Checked = True Then
                pd.AddData("giftauto", 0, "N")
            Else
                pd.AddData("giftauto", 1, "N")
            End If
            
            giftopt = ""
            If giftopt1.Checked = True Then giftopt = giftopt & ",VA"
            If giftopt2.Checked = True Then giftopt = giftopt & ",FI"
            pd.AddData("giftopt", giftopt, "T")
             
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                     
                pd.gotonextpage()
                 
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="testno">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-giftcerts.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Gift Card/Certificate Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Purchase</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="giftopt1" runat="server" />
                        Allow User Defined Values</div>
                    <div class="helptext">
                        (this will allow your customer to enter their own amount)</div>
                    <div class="check_div">
                        <asp:CheckBox ID="giftopt2" runat="server" />
                        Allow Specified Values</div>
                    <div class="helptext">
                        (Create values below)</div>
                </div>
                <div class="inner_div">
                    <asp:Repeater ID="fixamount" runat="server">
                        <ItemTemplate>
                            <div class="editlinks">
                                <a href="Javascript: editgiftvalue('<%# Container.DataItem("id") %>')">
                                    <%# Container.DataItem("name") %></a></div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editgiftvalue('')" value="New Value" /></div>
                </div>
                <div class="check_div">
                    <asp:CheckBox ID="form_gifteonly" runat="server" />
                    Electronic Only</div>
                <div class="helptext">
                    When enabled, customers will not see the "Send By Mail" option. Only Online Cards/Certificates
                    will be offered</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_giftauto" runat="server" />
                    Send Electronic Cards/Certificates Automatically</div>
                <div class="helptext">
                    When enabled, Gift Card/Certificate is sent immediately by email</div>
                <div class="pageheading2">
                    Redemption</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_giften" runat="server" />
                        Allow Redemption?</div>
                    <div class="helptext">
                        Enable redemption so that your customers can redeem/use the gift card/certificates
                        online.</div>
                </div>
                <div class="pageheading2">
                    Email Message</div>
                <div class="inner_div">
                    <div class="formheading">
                        To configure email messages associated with this feature</div>
                    <div class="button_div">
                        <input type="button" onclick="<%=pd.nextpagefunction%>('setup-email-giftcert.aspx')"
                            class="formbutton" value="Edit Email" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
