<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, customerid, deleterecord, confirmdelete, helppage As String
    Public tempthresh As Integer

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
                  
            'Fix Any items that have a null inventory 'qty'
            pd.sqlexecute("UPDATE items SET qty=0 WHERE qty IS NULL")
         
            pd.OpenSetupDataReader("setupxml", "setup")
             
            form_oosthresh.Text = pd.ReadDataN("oosthresh")
            tempthresh = pd.ReadDataN("oosthresh")
            If pd.ReadData("showoos") = "ON" Then form_showoos.Checked = True
            If pd.ReadData("stopoos") = "ON" Then form_stopoos.Checked = True
            If pd.ReadDataN("useoz") = 1 Then form_useoz.Checked = True
                 
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("oosthresh", form_oosthresh.Text, "Threshold", "N", 0, 0)
            If form_showoos.Checked = True Then
                pd.AddData("showoos", "ON", "T")
            Else
                pd.AddData("showoos", "", "T")
            End If
            If form_stopoos.Checked = True Then
                pd.AddData("stopoos", "ON", "T")
            Else
                pd.AddData("stopoos", "", "T")
            End If
            If form_useoz.Checked = True Then
                pd.AddData("useoz", 1, "N")
            Else
                pd.AddData("useoz", 0, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                tempthresh = form_oosthresh.Text
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                 
                pd.gotonextpage()
                 
            End If

        End If

        'Get Counts
        If IsNumeric(tempthresh) Then
            itemrepeater1.DataSource = pd.bindpddata("SELECT COUNT(items.id) as itemcount FROM items WHERE qty>" & tempthresh)
            itemrepeater1.DataBind()
            itemrepeater2.DataSource = pd.bindpddata("SELECT COUNT(items.id) as itemcount FROM items WHERE qty<=" & tempthresh)
            itemrepeater2.DataBind()
             
            itemrepeater3.DataSource = pd.bindpddata("SELECT COUNT(optionitem.id) as itemcount FROM (optionitem INNER JOIN optioncat ON optioncat.id=optionitem.optcatid) INNER JOIN items ON items.id=optioncat.itemid WHERE optionitem.inven='ON' AND optionitem.qty>" & tempthresh)
            itemrepeater3.DataBind()
            itemrepeater4.DataSource = pd.bindpddata("SELECT COUNT(optionitem.id) as itemcount FROM (optionitem INNER JOIN optioncat ON optioncat.id=optionitem.optcatid) INNER JOIN items ON items.id=optioncat.itemid WHERE optionitem.inven='ON' AND optionitem.qty<=" & tempthresh)
            itemrepeater4.DataBind()
                      
             
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-items.aspx")
                    pd.createadmintab("Inventory", "setup-inventory.aspx")
                    pd.createadmintab("Featured", "setup-featured.aspx")
                    pd.createadmintab("Best Sellers", "setup-bestsellers.aspx")
                    pd.createadmintab("Related Items", "setup-relateditems.aspx")
                    pd.createadmintab("Recommended", "setup-recommended.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Inventory Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Out of Stock Threshold</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_oosthresh" runat="server" />
                </div>
                <div class="helptext">
                    (items with an inventory QTY less than or equal to the number above are considered
                    out of stock.)</div>
                <div class="pageheading2">
                    Settings</div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_showoos" runat="server" />
                        Display "Out of Stock" & "In Stock" message</div>
                    <div class="helptext">
                        Check this box if want to enable Stock messages. Enter your messages below.</div>
                    <div class="inner_div">
                        <div>
                        </div>
                        <div class="formheading">
                            <a href="javascript: editerrtext('err58')">
                                <img align="middle" src="img/butt-admin-edit.gif" /></a> In Stock (Appears throughout)</div>
                        <div class="helptext">
                            ##QTY## variable allowed, for example, "There are ##QTY## Left"</div>
                        <div>
                        </div>
                        <div class="formheading">
                            <a href="javascript: editerrtext('err59')">
                                <img align="middle" src="img/butt-admin-edit.gif" /></a> Out of Stock (Short,
                            appears throughout)</div>
                        <div>
                        </div>
                        <div class="formheading">
                            <a href="javascript: editerrtext('err60')">
                                <img align="middle" src="img/butt-admin-edit.gif" /></a>Out of Stock (Longer,
                            appears on Item detail Page)</div>
                    </div>
                    <div>
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_stopoos" runat="server" />
                        Prevent Sale of Out of Stock Items?</div>
                    <div class="helptext">
                        (When this box is checked, the "Buy Now" button will not appear for items that are
                        out of stock.)</div>
                    <div>
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_useoz" runat="server" />
                        Use Pounds (lbs) & Ounces (oz)</div>
                    <div class="helptext">
                        When this box is checked, item weight will be calculated using Pounds & Ounces -
                        U.S. Standard</div>
                </div>
                <div class="pageheading2">
                    Current Inventory</div>
                <div class="inner_div">
                    <div class="formheading">
                        Items</div>
                    <div class="tdmhead">
                        Status</div>
                    <div class="tdmhead">
                        Count</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="itemrepeater1" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="searchresults.aspx?table=items&field=qty,itemno,name&data=<%=tempthresh%>&datatype=numG">
                                    In Stock</a></div>
                            <div class="tdm">
                                <%# Container.DataItem("itemcount") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <asp:Repeater ID="itemrepeater2" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="searchresults.aspx?table=items&field=qty,itemno,name&data=<%=tempthresh+1%>&datatype=numL">
                                    Out of Stock</a></div>
                            <div class="tdm">
                                <%# Container.DataItem("itemcount") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="formheading">
                        Options</div>
                    <div class="tdmhead">
                        Status</div>
                    <div class="tdmhead">
                        Count</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="itemrepeater3" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="searchresults.aspx?table=special&data=optionsinstock">In Stock</a></div>
                            <div class="tdm">
                                <%# Container.DataItem("itemcount") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <asp:Repeater ID="itemrepeater4" runat="server">
                        <ItemTemplate>
                            <div class="tdm">
                                <a href="searchresults.aspx?table=special&data=optionsoutofstock">Out of Stock</a></div>
                            <div class="tdm">
                                <%# Container.DataItem("itemcount") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
