<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            'Fix Any items that have a null inventory 'qty'
            pd.sqlexecute("UPDATE items SET qty=0 WHERE qty IS NULL")
         
            pd.OpenSetupDataReader("setupxml", "setup")

            form_ord2.SelectedIndex = form_ord2.Items.IndexOf(form_ord2.Items.FindByValue(pd.ReadData("ord2")))
            form_ord3.SelectedIndex = form_ord3.Items.IndexOf(form_ord3.Items.FindByValue(pd.ReadData("ord3")))
            form_ord5.SelectedIndex = form_ord5.Items.IndexOf(form_ord5.Items.FindByValue(pd.ReadData("ord5")))
            form_ord6.SelectedIndex = form_ord6.Items.IndexOf(form_ord6.Items.FindByValue(pd.ReadData("ord6")))
            form_ord7.SelectedIndex = form_ord7.Items.IndexOf(form_ord7.Items.FindByValue(pd.ReadData("ord7")))
            form_ord8.SelectedIndex = form_ord8.Items.IndexOf(form_ord8.Items.FindByValue(pd.ReadData("ord8")))
                
            pd.CloseData()
             
            pd.OpenSetupDataReader("setupxml", "design")

            If InStr(pd.ReadData("cfconfig"), "A") > 0 Then cfconfig1.Checked = True
            If InStr(pd.ReadData("cfconfig"), "B") > 0 Then cfconfig2.Checked = True
            If InStr(pd.ReadData("cfconfig"), "C") > 0 Then cfconfig3.Checked = True
                

            pd.CloseData()
             
        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("ord2", form_ord2.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord3", form_ord3.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord5", form_ord5.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord6", form_ord6.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord7", form_ord7.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ord8", form_ord8.SelectedItem.Value, "", "T", 0, 50)
                         
             
            'pd.AddFormData("ord4", form_ord4.selecteditem.Value, "", "T", 0, 50)
             
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
             
                pd.OpenSetupDataWriter("setupxml", "design")
                cfconfig = ""
                If cfconfig1.Checked = True Then cfconfig = cfconfig & ",A"
                If cfconfig2.Checked = True Then cfconfig = cfconfig & ",B"
                If cfconfig3.Checked = True Then cfconfig = cfconfig & ",C"
                pd.AddData("cfconfig", cfconfig, "T")
                 

                'If no errors, Add/Update record in database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = "Changes Saved!"
                    pd.gotonextpage()
                     
                End If
                 
            End If
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-items.aspx")
                    pd.createadmintab("Inventory", "setup-inventory.aspx")
                    pd.createadmintab("Featured", "setup-featured.aspx")
                    pd.createadmintab("Best Sellers", "setup-bestsellers.aspx")
                    pd.createadmintab("Related Items", "setup-relateditems.aspx")
                    pd.createadmintab("Recommended", "setup-recommended.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Item Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Create Items</div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('edititem.aspx')"
                        value="New Item" /></div>
                <div class="pageheading2">
                    Default Sorting</div>
                <div class="formheading">
                    Category Page</div>
                <div>
                    <asp:DropDownList ID="form_ord2" runat="server">
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Featured Items Page</div>
                <div>
                    <asp:DropDownList ID="form_ord3" runat="server">
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Featured Items (Displayed elsewhere)</div>
                <div>
                    <asp:DropDownList ID="form_ord5" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Related Items</div>
                <div>
                    <asp:DropDownList ID="form_ord6" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Best Sellers Items</div>
                <div>
                    <asp:DropDownList ID="form_ord7" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Recommended Items</div>
                <div>
                    <asp:DropDownList ID="form_ord8" runat="server">
                        <asp:ListItem Value="" Text="Random Order" />
                        <asp:ListItem Value="items.qtysold DESC, items.itemno" Text="Best Seller First" />
                        <asp:ListItem Value="items.id DESC" Text="Order Entered (Newest First)" />
                        <asp:ListItem Value="items.id ASC" Text="Order Entered (Oldest First)" />
                        <asp:ListItem Value="items.name" Text="Name" />
                        <asp:ListItem Value="items.price ASC" Text="Price (Up)" />
                        <asp:ListItem Value="items.price DESC" Text="Price (Down)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice ASC" Text="Sale Price (Up)" />
                        <asp:ListItem Value="items.onsale DESC, items.saleprice DESC" Text="Sale Price (Down)" />
                    </asp:DropDownList>
                </div>
                <div class="pageheading2">
                    Custom Item Fields</div>
                <div>
                    <div class="helptext">
                        This setting determines if your custom fields are visible/searchable in the storefront.</div>
                    <div class="check_div">
                        <asp:CheckBox ID="cfconfig1" runat="server" />
                        <a href="javascript: editsystext('sys112')">
                            <img align="middle" src="img/butt-admin-edit.gif"></a>Enable Custom 1</div>
                    <div class="check_div">
                        <asp:CheckBox ID="cfconfig2" runat="server" />
                        <a href="javascript: editsystext('sys113')">
                            <img align="middle" src="img/butt-admin-edit.gif"></a>Enable Custom 2</div>
                    <div class="check_div">
                        <asp:CheckBox ID="cfconfig3" runat="server" />
                        <a href="javascript: editsystext('sys114')">
                            <img align="middle" src="img/butt-admin-edit.gif"></a>Enable Custom 3</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
