﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "setup")

            'mobilestring.Text = pd.ReadData("mobilestring")
            If pd.ReadData("mobileon") = "" Then form_mobileon.Checked = True
            If pd.ReadData("mobileon") = "ON" Then form_mobileon_on.Checked = True
            If pd.ReadData("mobileon") = "RS" Then form_mobileon_rs.Checked = True
            
            If pd.ReadData("mobileinc") = "ON" Then form_mobileinc.Checked = True
            If pd.ReadData("mobileexc") = "ON" Then form_mobileexc.Checked = True
            If pd.ReadData("mobilefs") = "ON" Then mobilefs.Checked = True
            If pd.ReadData("hidemobilelinks") = "ON" Then hidemobilelinks.Checked = True
            If pd.ReadData("hidemobilebanners") = "ON" Then hidemobilebanners.Checked = True
            
            mobileinc_string.Value = pd.ReadData("mobileinc_string")
            mobileexc_string.Value = pd.ReadData("mobileexc_string")
            
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            'pd.AddFormData("mobilestring", mobilestring.Text, "Language", "T", 1, 25)
            If form_mobileon_on.Checked = True Then
                pd.AddData("mobileon", "ON", "T")
            ElseIf form_mobileon_rs.Checked = True Then
                pd.AddData("mobileon", "RS", "T")
            Else
                pd.AddData("mobileon", "", "T")
            End If

            If form_mobileinc.Checked = True Then
                pd.AddData("mobileinc", "ON", "T")
            Else
                pd.AddData("mobileinc", "", "T")
            End If
            
            If form_mobileexc.Checked = True Then
                pd.AddData("mobileexc", "ON", "T")
            Else
                pd.AddData("mobileexc", "", "T")
            End If
            
            If mobilefs.Checked = True Then
                pd.AddData("mobilefs", "ON", "T")
            Else
                pd.AddData("mobilefs", "", "T")
            End If
            
            If hidemobilelinks.Checked = True Then
                pd.AddData("hidemobilelinks", "ON", "T")
            Else
                pd.AddData("hidemobilelinks", "", "T")
            End If
            
            If hidemobilebanners.Checked = True Then
                pd.AddData("hidemobilebanners", "ON", "T")
            Else
                pd.AddData("hidemobilebanners", "", "T")
            End If
            
            pd.AddFormData("mobileinc_string", mobileinc_string.Value, "Include String", "T", 0, 255)
            pd.AddFormData("mobileexc_string", mobileexc_string.Value, "Exclude String", "T", 0, 255)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                                 
            End If

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-mobilesupport.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Mobile Device Support</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Enable Mobile Pages</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="form_mobileon" ID="form_mobileon" runat="server" />Disabled</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="form_mobileon" ID="form_mobileon_rs" runat="server" />Enable
                    Responsive Design (Google Recommended)</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="form_mobileon" ID="form_mobileon_on" runat="server" />Enable
                    Old Method (Deprecated)</div>

                <div class="pageheading2">
                    Responsive Design Settings</div>
                <div class="check_div">
                    <asp:CheckBox ID="hidemobilebanners" runat="server" />
                    Do Not Automatically Insert Mobile Banners
                </div>

                <div class="check_div">
                    <asp:CheckBox ID="hidemobilelinks" runat="server" />
                    Do Not Automatically Insert Mobile 'Menu' button
                </div>

                <div class="pageheading2">
                    Old Method Settings</div>
                <div class="helptext">
                   NOTICE: The old method where Mobile pages are served on a separate Url is no longer recommended. The older method uses an Open source mobile phone detection script is used to redirect users
                    to your mobile pages. 100% Accuracy of Mobile device detection is not guaranteed and there are display limitations.  Consider the Responsive Design method instead.</div>
                <div class="check_div">
                    <asp:CheckBox ID="mobilefs" runat="server" />
                    Enable 'View Full Site' option
                </div>
                <div>
                    <div class="helptext">
                        The settings below are Advanced, and only recommended for those that understand
                        what the "http_user_agent" is. Your Include/Exclude strings must only be single
                        words separated by commas (do not use quotes or spaces). For example a string may
                        look like this: ipad,iphone,andriod,mobile</div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_mobileinc" runat="server" />
                        Only include specific Devices based on their User Agent
                    </div>
                    <div class="formheading">
                        Include Strings (separated by commas)</div>
                    <div>
                        <textarea class="formtextarea" rows="6" id="mobileinc_string" cols="55"  
                            runat="server" /></div>
                    <br>
                    <div class="check_div">
                        <asp:CheckBox ID="form_mobileexc" runat="server" />
                        Exclude specific Devices, based on their User Agent
                    </div>
                    <div class="formheading">
                        Exclude Strings (separated by commas)</div>
                    <div>
                        <textarea class="formtextarea" rows="6" id="mobileexc_string" cols="55"  
                            runat="server" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
