<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public updatestatelist, statesneedupdating, deletecountries, impcountries, deleterecord, confirmdelete, helppage As String
    Public Shadows cfconfig As String
    
    
    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
         
        'Handle Interactive State/Country lists
        If pd.autostlist = 1 Then
            country.AutoPostBack = True
            If Request.Form("__EVENTTARGET") = country.UniqueID Then
                updatestatelist = "Yes"
            End If
        End If


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")
                 
            tempcountry = pd.ReadData("defaultcountry")
            tempstate = pd.ReadData("defaultstate")

            pd.CloseData()
         
            'Get States & Countries Lists
            country.DataSource = pd.getcountrylist()
            country.DataBind()
            state.DataSource = pd.getstatelist(tempcountry)
            state.DataBind()
                
            'Set Selected State/Country          
            'state.SelectedIndex = state.Items.IndexOf(state.Items.FindByValue(tempstate))
            country.SelectedIndex = country.Items.IndexOf(country.Items.FindByText(tempcountry))

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And updatestatelist <> "Yes" Then
         
            pd.gotonextpage()
            
            'Refresh Lists
            lastcountry = country.SelectedItem.Text
            
            'Set State List
            state.DataSource = pd.getstatelist(country.SelectedItem.Text)
            state.DataBind()
                
            'Reset Country
            country.DataSource = pd.getcountrylist()
            country.DataBind()
            country.SelectedIndex = country.Items.IndexOf(country.Items.FindByText(lastcountry))
            
                       
        End If
         
        'Update State List for country selected
        If updatestatelist = "Yes" Then
            state.DataSource = pd.getstatelist(country.SelectedItem.Text)
            state.DataBind()
        End If
         
        'Test states, make sure states and countries are linked
        pd.OpenDataReader("SELECT countryid From states WHERE countryid IS NULL")
        If pd.ReadDataItem.Read Then
            statesneedupdating = "Y"
        End If
        pd.CloseData()
         
        

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script type="text/javascript">


    </script>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    States, Provinces, Regions</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If pd.autostlist = 1 Then%>
                <div class="helptext">
                    List by Country</div>
                <div>
                    <asp:DropDownList ID="country" runat="server" DataValueField="id" DataTextField="name" />
                    </asp:DropDownList></div>
                <% End If%>
                <% If statesneedupdating = "Y" Then%>
                <div class="message">
                    It appears you were using a different version when you setup your states/provinces.
                    The default State/Provinces are not properly associated with a Country. You can
                    fix this below</div>
                <div class="button_div">
                    <input type="button" onclick="window.location='setup-statecountry.aspx?fixstates=yes'"
                        class="formbutton" value="Fix Now" /></div>
                <% End If%>
                <div class="inner_div">
                    <div class="tdlhead">
                        State/Province/Region</div>
                    <div class="tdshead">
                        Abbreviation</div>
                    <div class="tdshead">
                        Tax Rate</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="state" runat="server">
                        <ItemTemplate>
                            <div class="tdl">
                                <a href="editstate.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("name") %></a></div>
                            <div class="tds">
                                <a href="editstate.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("abbr") %></a></div>
                            <div class="tds">
                                <a href="editstate.aspx?id=<%# Container.DataItem("id") %>">
                                    <%# Container.DataItem("taxrate") %></a></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" onclick="gotoadmintab('editstate.aspx')" class="formbutton"
                            value="New State"></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
