﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage, checkallservicesval As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        Dim i As Int32
        Dim rc As RepeaterItemCollection = itemrepeater.Items

        'Get Status of UPS
        pd.OpenSetupDataReader("setupxml", "shipping")
             
        If pd.ReadDataN("upsact") = 1 Then
            upsstatus.Text = "Activated"
        Else
            upsstatus.Text = "Not Activated"
        End If

        pd.CloseData()


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "shipping")
                
            If pd.ReadDataN("upsen") = 1 Then upsen.Checked = True
            If pd.ReadDataN("upsrateerr") = 1 Then upsrateerr1.Checked = True
            If pd.ReadDataN("upsrateerr") = 2 Then upsrateerr2.Checked = True
            If pd.ReadDataN("upsrateerr") = 3 Then upsrateerr3.Checked = True
            If pd.ReadDataN("upsinsure") = 1 Then upsinsure.Checked = True
            If pd.ReadDataN("upsaddhand") = 1 Then upsaddhand.Checked = True

            upsfromcity.Text = pd.ReadData("upsfromcity")
            upsfromzip.Text = pd.ReadData("upsfromzip")
            upsfromstate.Text = pd.ReadData("upsfromstate")
            upsfromcountry.SelectedIndex = upsfromcountry.Items.IndexOf(upsfromcountry.Items.FindByText(pd.ReadData("upsfromcountry")))
            upspacktype.SelectedIndex = upspacktype.Items.IndexOf(upspacktype.Items.FindByValue(pd.ReadData("upspacktype")))

            upsoversize.SelectedIndex = upsoversize.Items.IndexOf(upsoversize.Items.FindByValue(pd.ReadData("upsoversize")))
            upspickuptype.SelectedIndex = upspickuptype.Items.IndexOf(upspickuptype.Items.FindByValue(pd.ReadData("upspickuptype")))
            upsaccno.Text = pd.ReadData("upsaccno")
                 
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            
            
            'Check All services if necessary
            If checkallservices.Value = "Y" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = True
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            
            'Check All services if necessary
            If checkallservices.Value = "N" Then
                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    tempctrl.checked = False
                    i = i + 1

                Next
                checkallservices.Value = ""
            End If
            

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "shipping")
             
            If upsen.Checked = True Then
                pd.AddData("upsen", 1, "N")
            Else
                pd.AddData("upsen", 0, "N")
            End If
            If upsinsure.Checked = True Then
                pd.AddData("upsinsure", 1, "N")
            Else
                pd.AddData("upsinsure", 0, "N")
            End If
            If upsaddhand.Checked = True Then
                pd.AddData("upsaddhand", 1, "N")
            Else
                pd.AddData("upsaddhand", 0, "N")
            End If

            If upsrateerr1.Checked = True Then pd.AddData("upsrateerr", 1, "N")
            If upsrateerr2.Checked = True Then pd.AddData("upsrateerr", 2, "N")
            If upsrateerr3.Checked = True Then pd.AddData("upsrateerr", 3, "N")

            pd.AddFormData("upsfromstate", upsfromstate.Text, "State", "T", 0, 50)
            pd.AddFormData("upsfromcity", upsfromcity.Text, "City", "T", 0, 50)
            pd.AddFormData("upsfromcountry", upsfromcountry.SelectedItem.Text, "Country", "T", 0, 50)
            pd.AddFormData("upsfromzip", upsfromzip.Text, "Zip/Postal Code", "T", 0, 50)
            pd.AddFormData("upsaccno", upsaccno.Text, "UPS Shipper No", "T", 0, 10)

            pd.AddData("upspacktype", upspacktype.SelectedItem.Value, "T")
            pd.AddData("upsoversize", upsoversize.SelectedItem.Value, "T")
            pd.AddData("upspickuptype", upspickuptype.SelectedItem.Value, "T")

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                 
                pd.OpenSetupDataWriter("setupxml", "shipping/services")
                pd.AddData("ups", "", "T")
                pd.SaveData()
                                             

                i = 0
                For Each Item As RepeaterItem In rc

                    tempctrl = Item.FindControl("active")
                    If tempctrl.checked Then
                         
                        tempctrl = Item.FindControl("service")
                        pd.OpenSetupDataWriter("setupxml", "shipping/services/ups/" & tempctrl.text)

                        tempctrl = Item.FindControl("altname")
                        pd.AddData("altname", tempctrl.text, "T")
                             
                        tempctrl = Item.FindControl("minimum")
                        pd.AddData("minimum", tempctrl.text, "N")
                             
                        tempctrl = Item.FindControl("handling")
                        pd.AddData("handling", tempctrl.text, "N")
                                                         
                        tempctrl = Item.FindControl("active")
                        pd.AddData("active", "Yes", "T")
                        pd.SaveData()
                             
                    End If

                    i = i + 1

                Next
                 
                 
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
                 
            End If

        End If
         
         
        If Not (Page.IsPostBack) Then
            itemrepeater.DataSource = pd.bindservicestoedit("UPS")
            itemcount = itemrepeater.DataSource.Count
            itemrepeater.DataBind()
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" value="<% =checkallservicesval %>" id="checkallservices" runat="server" />
            <div>
                <%
                    pd.createadmintab("Custom Rates", "setup-shipping.aspx")
                    pd.createadmintab("USPS", "setup-usps.aspx")
                    pd.createadmintab("UPS", "setup-ups.aspx")
                    pd.createadmintab("FedEx", "setup-fedex.aspx")
                    pd.createadmintab("InterShipper", "setup-intershipper.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    UPS Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If upsstatus.Text = "Not Activated" Then%>
                <div class="formheading">
                    Status</div>
                <div>
                    <asp:TextBox class="roformfield1" ID="upsstatus" runat="server" />
                    <% If upsstatus.Text = "Not Activated" Then%><input type="submit" class="formbutton"
                        value="Refresh"><%End If%></div>
                <div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="window.open('http://www.pagedowntech.com/upsactivate/?ver=net&fromurl=<%=pd.url%>','PDHelp','width=475,height=475,toolbar=0,status=0,location=0,menubar=0,scrollbars=yes,resizable=1');"
                            value="Activate Now" />
                    </div>
                </div>
                <%Else%>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="upsen" runat="server" />
                        Enable UPS Rates?</div>
                </div>
                <div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="shoprates('UPS')" value="Shop Rates" /></div>
                </div>
                <%End If%>
                <div class="pageheading2">
                    Error Handling</div>
                <div class="helptext">
                    If an error occurs while processing rates, or the rate cannot be retrieved for a
                    service, how should the rate be displayed.</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="upsrateerr" ID="upsrateerr1" runat="server" />
                        Show "Minimum Charge"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="upsrateerr" ID="upsrateerr2" runat="server" />
                        Show Cost as "Unavailable"</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="upsrateerr" ID="upsrateerr3" runat="server" />
                        Hide Selection (RECOMMENDED)</div>
                </div>
                <div class="pageheading2">
                    From Address</div>
                <div class="helptext">
                    The location from which you will be shipping.</div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="upsfromcity" runat="server" />
                </div>
                <div class="formheading">
                    State/Province: (Abbreviation, "NY")</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="upsfromstate" runat="server" />
                </div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="upsfromzip" runat="server" />
                </div>
                <div class="formheading">
                    Country</div>
                <div>
                    <asp:DropDownList ID="upsfromcountry" runat="server">
                        <asp:ListItem Text="Argentina" />
                        <asp:ListItem Text="Australia" />
                        <asp:ListItem Text="Austria" />
                        <asp:ListItem Text="Belgium" />
                        <asp:ListItem Text="Brazil" />
                        <asp:ListItem Text="Canada" />
                        <asp:ListItem Text="Chile" />
                        <asp:ListItem Text="Costa Rica" />
                        <asp:ListItem Text="Denmark" />
                        <asp:ListItem Text="Dominican Republic" />
                        <asp:ListItem Text="Finland" />
                        <asp:ListItem Text="France" />
                        <asp:ListItem Text="Germany" />
                        <asp:ListItem Text="Greece" />
                        <asp:ListItem Text="Guatemala" />
                        <asp:ListItem Text="Hong Kong" />
                        <asp:ListItem Text="Ireland" />
                        <asp:ListItem Text="Israel" />
                        <asp:ListItem Text="Italy" />
                        <asp:ListItem Text="Malaysia" />
                        <asp:ListItem Text="Mexico" />
                        <asp:ListItem Text="Netherlands" />
                        <asp:ListItem Text="New Zealand" />
                        <asp:ListItem Text="Norway" />
                        <asp:ListItem Text="Panama" />
                        <asp:ListItem Text="Portugal" />
                        <asp:ListItem Text="Puerto Rico" />
                        <asp:ListItem Text="Singapore" />
                        <asp:ListItem Text="Spain" />
                        <asp:ListItem Text="Sweden" />
                        <asp:ListItem Text="Switzerland" />
                        <asp:ListItem Text="Taiwan" />
                        <asp:ListItem Text="Thailand" />
                        <asp:ListItem Text="United Kingdom" />
                        <asp:ListItem Text="United States" />
                    </asp:DropDownList>
                </div>
                <div>
                    <div class="pageheading2">
                        Enable Services &nbsp; <span class="helptext"><a href="javascript: checkallshippingservices('Y');">
                            Check All</a> | <a href="javascript: checkallshippingservices('N');">UnCheck All</a></span></div>
                </div>
                <div class="inner_div">
                    <div class="tdl2head">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Display Name</div>
                    <div class="tdmhead">
                        Handling</div>
                    <div class="tdshead">
                        Minimum Charge</div>
                    <div class="tr">
                    </div>
                    <div xstyle="height: 400px; overflow: auto;">
                        <asp:Repeater ID="itemrepeater" runat="server">
                            <ItemTemplate>
                                <div class="td">
                                    <asp:TextBox Visible="false" ID="service" Text='<%# DataBinder.Eval(Container.DataItem,"service").ToString() %>'
                                        runat="server" />
                                    <asp:CheckBox ID="active" Checked='<%# DataBinder.Eval(Container.DataItem,"active").ToString() %>'
                                        runat="server" /><%# DataBinder.Eval(Container.DataItem,"name").ToString() %></div>
                                <div class="tr">
                                </div>
                                <div class="tdl2">
                                    &nbsp;&nbsp;&nbsp;
                                    <asp:TextBox class="formfield1" MaxLength="50" ID="altname" Text='<%# left(DataBinder.Eval(Container.DataItem,"altname").ToString(),50) %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="handling" Text='<%# DataBinder.Eval(Container.DataItem,"handling").ToString() %>'
                                        runat="server" /></div>
                                <div class="tdm">
                                    <asp:TextBox class="formfieldnumber" ID="minimum" Text='<%# DataBinder.Eval(Container.DataItem,"minimum").ToString() %>'
                                        runat="server" /></div>
                                <div class="tr" style="height: 15px;">
                                </div>
                            </ItemTemplate>
                        </asp:Repeater>
                    </div>
                </div>
                <div class="helptext">
                    For a service to appear during checkout, you must enable it above.</div>
                <div class="pageheading2">
                    Rate Settings</div>
                <div class="formheading">
                    Account Type</div>
                <div>
                    <asp:DropDownList ID="upspickuptype" runat="server">
                        <asp:ListItem Value="01" Text="Daily Pickup" />
                        <asp:ListItem Value="03" Text="Customer Counter" />
                        <asp:ListItem Value="11" Text="Suggested Retail Rate" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Package Type</div>
                <div>
                    <asp:DropDownList ID="upspacktype" runat="server">
                        <asp:ListItem Value="00" Text="Unknown" />
                        <asp:ListItem Value="01" Text="UPS Letter" />
                        <asp:ListItem Value="02" Text="Package" />
                        <asp:ListItem Value="03" Text="UPS Tube" />
                        <asp:ListItem Value="04" Text="UPS Pak" />
                        <asp:ListItem Value="21" Text="UPS Express Box" />
                        <asp:ListItem Value="24" Text="UPS 25KG Box" />
                        <asp:ListItem Value="25" Text="UPS 10KG Box" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Package Size</div>
                <div>
                    <asp:DropDownList ID="upsoversize" runat="server">
                        <asp:ListItem Value="0" Text="Standard" />
                        <asp:ListItem Value="1" Text="Oversize 1" />
                        <asp:ListItem Value="2" Text="Oversize 2" />
                        <asp:ListItem Value="3" Text="Oversize 3" />
                    </asp:DropDownList>
                </div>
                <div class="helptext">
                    Package Size Notes:<br />
                    Standard = Regular Size Package<br />
                    Oversize 1 = If package exceeds 84 but less than 108 inches<br />
                    Oversize 2 = If package exceeds 108 but less than 130 inches<br />
                    Oversize 3 = If package exceeds 130 but less than 165 inches</div>
                <!--
                 
              <div class="formheading">UPS Shipper/Account No: (Optional)</div>
                 
                
              <div><asp:TextBox class="formfieldnumber" id="upsaccno" runat="server" /></div>
                  -->
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="upsinsure" runat="server" />
                        Automatically Add UPS Insurance to Charge
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="upsaddhand" runat="server" />
                        Include UPS 'Additional Handling' to Charge
                    </div>
                </div>
                <div class="helptext">
                    UPS, the UPS Shield trademark, the UPS Ready mark and the Color Brown are trademarks
                    of United Parcel Service of America, Inc. All Rights Reserved</div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
