<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public itemid, catname, catdesc, catpgconfig As String
    Public catitemcount, subcatitemcount As Int32

    Public pd As Object
  
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        itemid = pd.getrequest("itemid")
        If Not IsNumeric(itemid) Then pd.pdRedirect(pd.shopurl)

        'Not Used
        If Not (Page.IsPostBack) Then
        End If


        'Get Item Contents
        itemdetail.DataSource = pd.binditemdetail()
        itemdetail.DataBind()

        pd.OpenDataReader("SELECT * FROM items WHERE id=" & pd.FormatSqlText(itemid))
        If pd.ReadDataItem.Read Then
            catname = pd.ReadData("name")
            catshortdesc = pd.ReadData("shortdesc")
            itemreviewen = pd.ReadData("reviews")
            
            'Make sure Item Review is enabled
            If pd.reviewen = "A" Or (pd.reviewen = "I" And itemreviewen = "ON") Then
            Else
                pd.pdRedirect(pd.shopurl & "item.aspx?itemid=" & itemid)
            End If
             
        Else
            pd.pdRedirect(pd.shopurl)
        End If
        pd.CloseData()


        'Determine default page settings.
        If catpgconfig = "" Then
            catpgconfig = "MD, SP, SD, SI, ST"
        End If

        'Set Search engine meta tags.
        If catmetatitle <> "" Then
            pd.pagetitle = catmetatitle
        End If
        If catmetakeyw <> "" Then
            pd.keywords = catmetakeyw
        End If
        If catmetadesc <> "" Then
            pd.sitedesc = catmetadesc
        End If

        'Get Reviews
        listrepeater.DataSource = pd.binditemreviews(itemid, -1, 10)
        listrepeater.DataBind()
        catitemcount = listrepeater.DataSource.Count

        'Set Page Layout Type
        Master.pgtype = pd.pg12

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("hditem")%>
    <div>
        <div class="messages">
            <%=pd.getFormError()%></div>
        <asp:Repeater ID="itemdetail" runat="server">
            <ItemTemplate>
                <div style="width: 100%;">
                    <div>
                        <% If pd.hideitemheading = "" Then%>
                        <div class="messages">
                            <%# Container.DataItem("nameheading") %></div>
                        <div class="itemname">
                            <%# Container.DataItem("name") %></div>
                        <div class="messages">
                            <%# Container.DataItem("itemnoheading") %></div>
                        <div class="itemname">
                            <%# Container.DataItem("itemno") %></div>
                        <div class="messages">
                            <%# Container.DataItem("custom1heading") %></div>
                        <div class="itemname">
                            <%# Container.DataItem("custom1text") %></div>
                        <div class="messages">
                            <%# Container.DataItem("custom2heading") %></div>
                        <div class="itemname">
                            <%# Container.DataItem("custom2text") %></div>
                        <div class="messages">
                            <%# Container.DataItem("custom3heading") %></div>
                        <div class="itemname">
                            <%# Container.DataItem("custom3text") %></div>
                        <div class="messages">
                            <%# Container.DataItem("avgreviewheading") %></div>
                        <div>
                            <%# Container.DataItem("avgreviewicon") %></div>
                        <% End If%>
                        <div class="listdesc">
                            <br />
                            <%# Container.DataItem("shortdesc")%><br />
                        </div>
                    </div>
                </div>
                <% If catitemcount = 0 Then%>
                <div class="messages">
                    <br />
                    <%= pd.geterrtext("err68")%></div>
                <% End If%>
                <div class="cartbuttons_container">
                    <%'# Container.DataItem("reviewbutton") %>
                    <% =pd.getButton("butts38", "", pd.shopurl & "item.aspx?itemid=" & itemid, "")%>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
    <% = pd.EndSection()%>
    <%  If catitemcount > 0 Then%>
    <%= pd.startSection("hdreviews")%>
    <div>
        <div class="messages">
            <%=pd.getFormError()%></div>
        <asp:Repeater ID="listrepeater" runat="server">
            <HeaderTemplate>
            </HeaderTemplate>
            <ItemTemplate>
                <div class="cartdata" style="width: 100%;">
                    <div>
                        <%# Container.DataItem("starimage") %></div>
                    <div>
                        <%# Container.DataItem("revtitle") %></div>
                    <div>
                        <%# Container.DataItem("reviewdateformatted") %></div>
                </div>
                <div class="listdesc">
                    <%# Container.DataItem("revcomments") %><br />
                    -
                    <%# Container.DataItem("custname") %></div>
                <div>
                    <hr class="rowline" />
                </div>
            </ItemTemplate>
            <FooterTemplate>
            </FooterTemplate>
        </asp:Repeater>
        <div class="paginglinks">
            <%=pd.paginglinks%></div>
    </div>
    <% = pd.EndSection()%>
    <%  End If%>
</asp:Content>
