<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public messagesent As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.enforceSSL = True
        pd.LoadPDshop()

        'If This feature is not enabled
        If pd.passemail <> "ON" Then pd.pdRedirect("affilsignin.aspx")
         
        'Get email info  
        pd.OpenSetupDataReader("otherxml", "email")

        emailfrom = pd.ReadData("emailfrom2")
        emailfromname = pd.ReadData("emailfromname2")
        emailsubject = pd.ReadData("emailsubject2")
        emailbody = pd.ReadData("emailbody2")

        pd.CloseData()

        If Not (Page.IsPostBack) Then

        End If

        If Page.IsPostBack Then

            'Verify Captcha Code
            If pd.passShopCaptcha(captcha.Text) = False Then
                pd.formerror = pd.formerror & pd.geterrtext("err71")
                captcha.Text = ""
            End If
            
            pd.formerror = pd.formerror & pd.checkchr(email.Text, pd.getsystext("sys23"))

            'If no errors, open database and send email
            If pd.formerror = "" Then

                pd.OpenDataReader("SELECT * FROM affiliates WHERE email='" & pd.FormatSqlText(email.Text) & "'")
                If pd.ReadDataItem.Read Then
                 
                    affilrecid = pd.ReadDataN("id")
                    emailto = pd.ReadData("email")
                    name = pd.ReadData("name")
                    affillink = pd.ReadData("affillink")
                    password = pd.ReadDataX("password") 'Get Encrypted Data
                    
                    'Determine if new password needs to be generated (updated 2/7/15)
                    If Master.pd.getWebConfigSetting("passtype") = "HASH" Then
                        'Generate New Password
                        password = Left(pd.getlongrandseq(), 8)
                        savenewpass = "Yes"
                    End If

                Else
                    pd.formerror = pd.geterrtext("err50")

                End If
                pd.CloseData()
                
                'If new password was requested... save it
                If savenewpass = "Yes" Then
                    pd.OpenDataWriter("affiliates WHERE id=" & affilrecid)
                    pd.AddData("password", password, "X")
                    pd.SaveData()
                End If

            End If

            If pd.formerror = "" Then
            
                emailbody = Replace(emailbody, "##CUSTNAME##", name)
                emailbody = Replace(emailbody, "##DATE##", pd.showdate(DateTime.Now.Date))
                emailbody = Replace(emailbody, "##PASSWORD##", password)
                emailbody = Replace(emailbody, "##AFFILLINK##", affillink)

                'Arguments(semailto,semailfrom,semailsubject,semailbody,semailformat,semailattachment)
                pd.Sendemail(emailto, "", emailfrom, emailfromname, emailsubject, emailbody, "Text", "")
                pd.formerror = pd.geterrtext("err8")
                pd.LogAffilEvent(305, affilrecid, email.Text)
                pd.pdRedirect("affilsignin.aspx?showalert=emailsent")

            End If


        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg7
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads17")%>
    <div class="form_container">
        <form method="POST" action="affilemailpass.aspx" id="aspnetForm" name="aspnetForm" runat="server">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys23")%></div>
        <div>
            <asp:TextBox class="formfield" ID="email" runat="server" />
        </div>
        <% If pd.shopcaptcha = "ON" Then%>
        <div>
            <div class="formheadings">
                <%=pd.getsystext("sys134")%>
            </div>
            <div>
                <asp:TextBox class="formfield3" ID="captcha" runat="server" />
            </div>
            <div style="padding: 10px;">
                <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" /></div>
            <% If pd.shopdemomode = "Yes" Then%>
            <div class="messages">
                Because this is a Demo, the 'Captcha' Verification Code has been entered
                for you.  This and other security features can be disabled.</div>
            <% End If%>
        </div>
        <% End If%>
        <div class="formbuttons_container">
            <%=pd.getButton("butts14","","","aspnetForm")%></div>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
