<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public helppage, dbtestcodes As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadminSetup(0)
        dbtestcodes = pd.getcookie("dbtest")
        
        If pd.admindevmode = "ON" Then
            pd.pdRedirect("home.aspx")
        End If
         
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%

                    If pd.getRequest("dbtab") = "Y" Then
                        pd.createadmintab("Test Database", "dbsetup.aspx?dbtab=dbtest")
                        pd.createadmintab("Format/Upgrade", "dbsetup.aspx?dbtab=dbformat")
                        If InStr(dbtestcodes, ":301:") > 0 Then
                            pd.createadmintab("Version 2 Upgrade", "dbsetup.aspx?dbtab=dbtransform")
                        End If
                        If pd.getcookie("aid") <> "" Then
                            pd.createadmintab("Cleanup", "dbsetup.aspx?dbtab=dbcleanup")
                        End If
                        If pd.getcookie("aid") <> "" Then
                            pd.createadmintab("Advanced", "dbsetup.aspx?dbtab=dbadvanced")
                        End If
                        If pd.admindevmode = "OFF" Then
                            pd.createadmintab("Help", "help.aspx?dbtab=Y")
                        End If
                    Else
                        pd.createadmintab("Home", "home.aspx")
                        pd.createadmintab("Help", "help.aspx")
                    End If
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Administrator Help</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="pageheading2">
                        PDshop Help Guides</div>
                    <div class="editlinks">
                        <a target="_blank" href="../Help_Installation_Guide.pdf">Installation Guide</a><br />
                        <a target="_blank" href="../Help_User_Guide.pdf">User Guide</a><br />
                    </div>
                    <div class="pageheading2">
                        PDshop Support</div>
                    <div class="helptext">
                        Visit our <a target="_blank" href="http://www.pagedowntech.com/faq/">Support Site</a>
                        to troubleshoot common error messages, etc.</div>
                    <div class="pageheading2">
                        Current Version</div>
                    <div class="">
                        <%=pd.getversion%></div>
                    <div class="pageheading2">
                        Terms & Conditions</div>
                    <div class="helptext">
                        By Downloading or using this software, you agree to the terms and conditions as
                        stated in the Software License Agreement. An updated copy of this agreement can
                        be seen at <a target="_blank" href="http://www.pagedowntech.com/terms">http://www.pagedowntech.com/terms</a>.<br />
                        <br />
                        PageDown Technology, LLC., Copyright 2013</div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
