<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">


    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public orderstatus, statusmessage, task As String
    Public lastitemid As Integer

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)
    
        'Determine the next Task
        task = pd.getform("task")

        
        'Handle Demo Mode
        If pd.demomode = "Yes" Then
            task = ""
            pd.formerror = "You are in Demo Mode, you cannot perform this function!"
        End If
    
        
        If Not (Page.IsPostBack) Then
            status.DataSource = pd.getstatuscodes()
            status.DataBind()
        End If
        
        If Page.IsPostBack Then
        

                        
            'Run Process
            If task = "runningprocess" Then
                
                orderstatus = pd.getform("orderstatus")
                lastitemid = pd.getform("lastitemid")
                lastitemid = pd.dobestsellers("1/1/2000", "1/1/2012", orderstatus, lastitemid)
                If lastitemid = 0 Then
                    task = "done"
                End If
                    
            End If
            
            
            'Start Process (MUST BE AFTER RUN PROCESS)
            If task = "startprocess" Then
                
                orderstatus = status.SelectedItem.Value
                task = "runningprocess"
                lastitemid = 0
        
            End If
            
        
        End If

        
        If task = "runningprocess" Then
            Master.onloadhtml = "document.getElementById('aspnetForm').submit()"
        End If
        
    End Sub

    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <%If task = "" Then%>
        <input type="hidden" name="task" value="startprocess" />
        <div class="pageheading2">
            Calculate Best Sellers</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div class="formheading">
            Based on this Order Status</div>
        <div>
            <asp:DropDownList ID="status" runat="server" DataValueField="name" DataTextField="name" />
        </div>
        <div class="helptext">
            <br />
            This procedure will re-calculate your best sellers (Qty Sold), basde on Actual orders
            using the Order Status you specify. You should make a current BACKUP COPY of your
            database before running this procedure!
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Start Process" /></div>
        <% End If%>
        <%If task = "runningprocess" Then%>
        <input type="hidden" name="task" value="runningprocess" />
        <input type="hidden" name="lastitemid" value="<% = lastitemid %>" />
        <input type="hidden" name="orderstatus" value="<% = orderstatus %>" />
        <div class="pageheading2">
            Calculating Data</div>
        <div class="errors2">
            <br />
            Working... Please Wait!
            <br />
            DO NOT INTERRUPT!<br />
            <br />
        </div>
        <div class="pageheading2">
            <% =pd.formerror %></div>
        <% End If%>
        <% If task = "done" Then%>
        <div class="pageheading2">
            Re-Calculation COMPLETED!</div>
        <div>
            <div class="formheading">
                <% =pd.formerror %></div>
        </div>
        <% End If%>
        </form>
    </div>
</asp:Content>
