<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public buttcolors, secname, temp, temp6a, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        helppage = ""

        secname = pd.getrequest("secname")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            'Open Database, get values
            pd.OpenSetupDataReader("langxml", "buttons/" & secname)

            temp1.Text = pd.ReadData("A1")
            temp2.Text = pd.ReadData("A2")
            temp6a = pd.ReadData("A6")
            If temp6a = "" Then temp61.Checked = True
            If temp6a = "0" Then temp62.Checked = True
            If temp6a = "1" Then temp63.Checked = True
            If temp6a = "2" Then temp64.Checked = True
            If temp6a = "3" Then temp65.Checked = True
            If temp6a = "9" Then temp69.Checked = True
            temp7.Text = pd.ReadData("A7")
            temp8.Text = pd.ReadData("A8")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            If InStr(temp1.Text, ">") Or InStr(temp1.Text, "<") Or InStr(temp1.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp2.Text, ">") Or InStr(temp2.Text, "<") Or InStr(temp2.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp7.Text, ">") Or InStr(temp7.Text, "<") Or InStr(temp7.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"
            If InStr(temp8.Text, ">") Or InStr(temp8.Text, "<") Or InStr(temp8.Text, "/") Then pd.formerror = "Invalid character in System Message field, < / > are not allowed!"

            'Update Existing Record
            pd.OpenSetupDataWriter("langxml", "buttons/" & secname)
            pd.AddData("A1", temp1.Text, "T")
            pd.AddData("A2", temp2.Text, "T")
             
            If temp61.Checked = True Then pd.AddData("A6", "", "T")
            If temp62.Checked = True Then pd.AddData("A6", "0", "T") 'zdata = zdata & "<6>0</6>"
            If temp63.Checked = True Then pd.AddData("A6", "1", "T") 'zdata = zdata & "<6>1</6>"
            If temp64.Checked = True Then pd.AddData("A6", "2", "T") 'zdata = zdata & "<6>2</6>"
            If temp65.Checked = True Then pd.AddData("A6", "3", "T") 'zdata = zdata & "<6>3</6>"            
            If temp69.Checked = True Then pd.AddData("A6", "9", "T") 'zdata = zdata & "<6>3</6>"                   
                          
            pd.AddData("A7", temp7.Text, "T")
            pd.AddData("A8", temp8.Text, "T")

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.clearpdshopcache()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Set color swatch in page
        temp1a.Style.Value = "background-color: " & temp1.Text
        temp2a.Style.Value = "background-color: " & temp2.Text
        
    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
//-->

    </script>
    <% End If%>
    <script type="text/javascript">

        function updatecolor(efield, ecolor) {

            document.getElementById(efield).value = ecolor;
            document.getElementById(efield + "a").style.backgroundColor = ecolor;

        }

    </script>

    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="secname" value="<%=secname%>" />
        <div class="pageheading2">
            Button / Link</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Text</div>
        <div>
            <asp:TextBox class="formfield1" ID="temp8" runat="server" />
        </div>
        <div class="pageheading2">
            Colors / Style</div>
        <div>
            <div class="radio_div">
                <asp:RadioButton GroupName="temp6" ID="temp61" runat="server" />
                Default Setting (See Settings > Default Colors)</div>
            <div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="temp6" ID="temp62" runat="server" />
                    Text Link</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="temp6" ID="temp63" runat="server" />
                    Classic Button</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="temp6" ID="temp64" runat="server" />
                    Standard Button</div>
                <div>
                    <div class="formheading">
                        Text Color</div>
                    <div class="tdbox" id="temp1a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp1" runat="server" />
                    </div>
                    <div class="td">
                        <a href="javascript: insertcolor('temp1');">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                    <div class="formheading">
                        Background Color</div>
                    <div class="tdbox" id="temp2a" runat="server">
                    </div>
                    <div class="td">
                        <asp:TextBox class="formfieldnumber" ID="temp2" runat="server" />
                    </div>
                    <div class="td">
                        <a href="javascript: insertcolor('temp2');">
                            <img src="img/pd_txcolor.gif" alt="" /></a></div>
                    <div class="tr">
                    </div>
                </div>
            </div>
            <div class="radio_div">
                <asp:RadioButton GroupName="temp6" ID="temp69" runat="server" />
                Custom Button (Use custombutton Class)</div>
            <div class="helptext">
                Modify your template.css file's "custombutton" class</div>
            <div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="temp6" ID="temp65" runat="server" />
                    Use Image (below)</div>
                <div class="helptext">
                    (Enter image from &quot;images&quot; folder or enter a URL, ex. http://yoursite.com/file.gif)</div>
                <div class="formheading">
                    Image:
                    <asp:TextBox class="formfield1" ID="temp7" runat="server" />
                    <a href="javascript: insertimage('temp7')">
                        <img align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"
                            width="23"></a><a href="javascript: uploadimage('temp7')" /><img align="middle" border="0"
                                src="img/pd_disk.gif" alt="Upload Image" /></a></div>
            </div>
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
