<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<%@ Import Namespace="System.Data" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public sectionname, pg1, temppg, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        helppage = ""

        temppg = pd.getrequest("temppg")
        'If temppg = "" Then
        ' temppg = pd.getrequest("temppg")
        ' End If
        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            
            'Build Drop Down lists
           
            leftdrop0.DataSource = pd.getlayoutoptions(temppg, 1)
            leftdrop0.DataBind()
            leftdrop1.DataSource = pd.getlayoutoptions(temppg, 1)
            leftdrop1.DataBind()
            leftdrop2.DataSource = pd.getlayoutoptions(temppg, 1)
            leftdrop2.DataBind()
            leftdrop3.DataSource = pd.getlayoutoptions(temppg, 1)
            leftdrop3.DataBind()
            leftdrop4.DataSource = pd.getlayoutoptions(temppg, 1)
            leftdrop4.DataBind()
             
            middrop0.DataSource = pd.getlayoutoptions(temppg, 2)
            middrop0.DataBind()
            middrop1.DataSource = pd.getlayoutoptions(temppg, 2)
            middrop1.DataBind()
            middrop2.DataSource = pd.getlayoutoptions(temppg, 2)
            middrop2.DataBind()
            middrop3.DataSource = pd.getlayoutoptions(temppg, 2)
            middrop3.DataBind()
            middrop4.DataSource = pd.getlayoutoptions(temppg, 2)
            middrop4.DataBind()
                          
            rightdrop0.DataSource = pd.getlayoutoptions(temppg, 3)
            rightdrop0.DataBind()
            rightdrop1.DataSource = pd.getlayoutoptions(temppg, 3)
            rightdrop1.DataBind()
            rightdrop2.DataSource = pd.getlayoutoptions(temppg, 3)
            rightdrop2.DataBind()
            rightdrop3.DataSource = pd.getlayoutoptions(temppg, 3)
            rightdrop3.DataBind()
            rightdrop4.DataSource = pd.getlayoutoptions(temppg, 3)
            rightdrop4.DataBind()

            If InStr(temppg, "pg") Then
                'Open Database, get values
                pd.OpenSetupDataReader("setupxml", "design")
                pg1 = pd.ReadData(temppg)
                pd.CloseData()
            Else
                'Open Database, get values
                pd.OpenDataReader("SELECT pglayout FROM custompages WHERE id=" & temppg)
                If pd.ReadDataItem.Read Then
                    pg1 = Trim(pd.ReadData("pglayout"))
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            End If

            'Build Array of Columns
            pg1arr = Split(pg1, ",")

            For x = 0 To UBound(pg1arr)
             
                If InStr(pg1arr(x) & "", "1") > 0 Then
                    If leftdrop0.SelectedIndex = 0 Then
                        leftdrop0.SelectedIndex = leftdrop0.Items.IndexOf(leftdrop0.Items.FindByValue(pg1arr(x)))
                    ElseIf leftdrop1.SelectedIndex = 0 Then
                        leftdrop1.SelectedIndex = leftdrop1.Items.IndexOf(leftdrop1.Items.FindByValue(pg1arr(x)))
                    ElseIf leftdrop2.SelectedIndex = 0 Then
                        leftdrop2.SelectedIndex = leftdrop2.Items.IndexOf(leftdrop2.Items.FindByValue(pg1arr(x)))
                    ElseIf leftdrop3.SelectedIndex = 0 Then
                        leftdrop3.SelectedIndex = leftdrop3.Items.IndexOf(leftdrop3.Items.FindByValue(pg1arr(x)))
                    ElseIf leftdrop4.SelectedIndex = 0 Then
                        leftdrop4.SelectedIndex = leftdrop4.Items.IndexOf(leftdrop4.Items.FindByValue(pg1arr(x)))
                    End If
                End If
                 
                If InStr(pg1arr(x) & "", "2") > 0 Then
                    If middrop0.SelectedIndex = 0 Then
                        middrop0.SelectedIndex = middrop0.Items.IndexOf(middrop0.Items.FindByValue(pg1arr(x)))
                    ElseIf middrop1.SelectedIndex = 0 Then
                        middrop1.SelectedIndex = middrop1.Items.IndexOf(middrop1.Items.FindByValue(pg1arr(x)))
                    ElseIf middrop2.SelectedIndex = 0 Then
                        middrop2.SelectedIndex = middrop2.Items.IndexOf(middrop2.Items.FindByValue(pg1arr(x)))
                    ElseIf middrop3.SelectedIndex = 0 Then
                        middrop3.SelectedIndex = middrop3.Items.IndexOf(middrop3.Items.FindByValue(pg1arr(x)))
                    ElseIf middrop4.SelectedIndex = 0 Then
                        middrop4.SelectedIndex = middrop4.Items.IndexOf(middrop4.Items.FindByValue(pg1arr(x)))
                    End If
                End If
                 
                If InStr(pg1arr(x) & "", "3") > 0 Then
                    If rightdrop0.SelectedIndex = 0 Then
                        rightdrop0.SelectedIndex = rightdrop0.Items.IndexOf(rightdrop0.Items.FindByValue(pg1arr(x)))
                    ElseIf rightdrop1.SelectedIndex = 0 Then
                        rightdrop1.SelectedIndex = rightdrop1.Items.IndexOf(rightdrop1.Items.FindByValue(pg1arr(x)))
                    ElseIf rightdrop2.SelectedIndex = 0 Then
                        rightdrop2.SelectedIndex = rightdrop2.Items.IndexOf(rightdrop2.Items.FindByValue(pg1arr(x)))
                    ElseIf rightdrop3.SelectedIndex = 0 Then
                        rightdrop3.SelectedIndex = rightdrop3.Items.IndexOf(rightdrop3.Items.FindByValue(pg1arr(x)))
                    ElseIf rightdrop4.SelectedIndex = 0 Then
                        rightdrop4.SelectedIndex = rightdrop4.Items.IndexOf(rightdrop4.Items.FindByValue(pg1arr(x)))
                    End If
                End If

            Next x

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
         
            'New
            pg1 = ""
            If leftdrop0.SelectedIndex > 0 Then pg1 = pg1 & leftdrop0.SelectedItem.Value & ","
            If leftdrop1.SelectedIndex > 0 Then pg1 = pg1 & leftdrop1.SelectedItem.Value & ","
            If leftdrop2.SelectedIndex > 0 Then pg1 = pg1 & leftdrop2.SelectedItem.Value & ","
            If leftdrop3.SelectedIndex > 0 Then pg1 = pg1 & leftdrop3.SelectedItem.Value & ","
            If leftdrop4.SelectedIndex > 0 Then pg1 = pg1 & leftdrop4.SelectedItem.Value & ","
            If middrop0.SelectedIndex > 0 Then pg1 = pg1 & middrop0.SelectedItem.Value & ","
            If middrop1.SelectedIndex > 0 Then pg1 = pg1 & middrop1.SelectedItem.Value & ","
            If middrop2.SelectedIndex > 0 Then pg1 = pg1 & middrop2.SelectedItem.Value & ","
            If middrop3.SelectedIndex > 0 Then pg1 = pg1 & middrop3.SelectedItem.Value & ","
            If middrop4.SelectedIndex > 0 Then pg1 = pg1 & middrop4.SelectedItem.Value & ","
            If rightdrop0.SelectedIndex > 0 Then pg1 = pg1 & rightdrop0.SelectedItem.Value & ","
            If rightdrop1.SelectedIndex > 0 Then pg1 = pg1 & rightdrop1.SelectedItem.Value & ","
            If rightdrop2.SelectedIndex > 0 Then pg1 = pg1 & rightdrop2.SelectedItem.Value & ","
            If rightdrop3.SelectedIndex > 0 Then pg1 = pg1 & rightdrop3.SelectedItem.Value & ","
            If rightdrop4.SelectedIndex > 0 Then pg1 = pg1 & rightdrop4.SelectedItem.Value & ","

            'Fix data
            pg1 = Replace(pg1, " ", "")
            For i = 1 To 15
                pg1 = Replace(pg1, ",,", ",")
            Next
            If Right(pg1, 1) = "," Then pg1 = Left(pg1, Len(pg1) - 1)
            If Left(pg1, 1) = "," Then pg1 = Right(pg1, Len(pg1) - 1)
            pg1 = pg1 & "" 'NOTE: to resolve null errors if nothing is selected

            'Update Existing Record
            If InStr(temppg, "pg") Then
                'Main Layout
                pd.OpenSetupDataWriter("setupxml", "design")
                pd.AddData(temppg, pg1, "T")
            Else
                'Custom Pages
                pd.OpenDataWriter("custompages WHERE id=" & temppg)
                pd.AddData("pglayout", pg1, "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                newtemppg = pgselect.SelectedItem.Value
                If newtemppg <> "" And (pd.getrequest("temppg") <> pgselect.SelectedItem.Value) Then
                    pd.pdRedirect("popup_editlayoutdetail.aspx?showsaved=Y&temppg=" & newtemppg)
                End If
                'closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        If pd.getrequest("showsaved") = "Y" Then
            'pd.formerror = "Last Changes Saved!"            
        End If
        
        'Section Name
        If temppg = "pg1" Then
            sectionname = "Home Page"
        ElseIf temppg = "pg2" Then
            sectionname = "Category List"
        ElseIf temppg = "pg3" Then
            sectionname = "Contact Us"
        ElseIf temppg = "pg4" Then
            sectionname = "Features"
        ElseIf temppg = "pg5" Then
            sectionname = "Category Detail"
        ElseIf temppg = "pg6" Then
            sectionname = "Item Detail"
        ElseIf temppg = "pg7" Then
            sectionname = "Affiliate Pages"
        ElseIf temppg = "pg8" Then
            sectionname = "Search Results"
        ElseIf temppg = "pg9" Then
            sectionname = "Checkout Pages"
        ElseIf temppg = "pg10" Then
            sectionname = "Gift Cert. Pages"
        ElseIf temppg = "pg11" Then
            sectionname = "WishList Pages"
        ElseIf temppg = "pg12" Then
            sectionname = "Item Review"
        Else
            sectionname = "Custom Page"
        End If
        
        'Select Value 
        pgselect.SelectedIndex = pgselect.Items.IndexOf(pgselect.Items.FindByValue(temppg))
        
        

    End Sub


    
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <% If InStr(temppg, "pg") = 0 Then%>
        <input type="hidden" name="temppg" value="<%=temppg%>" />
        <% Else%>
        <input type="hidden" name="temppg" value="<%=temppg%>" />
        <div class="pageheading2">
            Select Page Type</div>
        <div>
            <asp:DropDownList ID="pgselect" DataTextField="name" DataValueField="value" onchange="document.getElementById('aspnetForm').submit();"
                runat="server">
                <asp:ListItem Value="pg1" Text="Home" />
                <asp:ListItem Value="pg2" Text="Category List" />
                <asp:ListItem Value="pg3" Text="Contact Us" />
                <asp:ListItem Value="pg4" Text="Featured Items \ Email A Friend" />
                <asp:ListItem Value="pg5" Text="Category Detail" />
                <asp:ListItem Value="pg6" Text="Item Detail" />
                <asp:ListItem Value="pg12" Text="Item Reviews" />
                <asp:ListItem Value="pg8" Text="Search Results" />
                <asp:ListItem Value="pg9" Text="Checkout Pages" />
                <asp:ListItem Value="pg7" Text="Affiliate Pages" />
                <asp:ListItem Value="pg10" Text="Gift Certificate Pages" />
                <asp:ListItem Value="pg11" Text="WishList Pages" />
            </asp:DropDownList>
        </div>
        <% End If%>
        <div class="pageheading2">
            <%=sectionname%>
            Layout</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div>
            <div class="tdmhead">
                Left Column</div>
            <div class="tdmhead">
                Middle Column</div>
            <div class="tdmhead">
                Right Column
            </div>
            <div class="tr">
            </div>
            <div class="tdm">
                <asp:DropDownList ID="leftdrop0" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="leftdrop1" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="leftdrop2" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="leftdrop3" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="leftdrop4" runat="server" DataValueField="value" DataTextField="name" />
            </div>
            <div class="tdm">
                <asp:DropDownList ID="middrop0" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="middrop1" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="middrop2" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="middrop3" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="middrop4" runat="server" DataValueField="value" DataTextField="name" />
            </div>
            <div class="tdm">
                <asp:DropDownList ID="rightdrop0" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="rightdrop1" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="rightdrop2" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="rightdrop3" runat="server" DataValueField="value" DataTextField="name" />
                <br />
                <asp:DropDownList ID="rightdrop4" runat="server" DataValueField="value" DataTextField="name" />
            </div>
            <div class="tr">
            </div>
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
