<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

   
    '************************************************************
    '*        TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
        
    Public helppage, onloadhtml As String
    Public pd As Object
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If
       
        
    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Home", "home.aspx")
                    pd.createadmintab("Settings", "settings.aspx")
                    If pd.admindevmode = "OFF" Then
                        pd.createadmintab("Help", "help.aspx")
                    End If
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Settings Menu</div>
                <div class="helptext">
                    Below are the various Administrator settings by type.</div>
                <% If pd.pdm.shopactivated = "N" Then%>
                <div class="pageheading2">
                    Setup/Activation</div>
                <div class="errors">
                    <%= pd.pdm.activatemessage%></div>
                <div class="button_div">
                    <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-activate.aspx')"
                        value="Setup/Activate" /></div>
                <%End If%>
                <div class="tdcol">
                    <div class="pageheading2">
                        General Settings
                    </div>
                    <ul class="ul_settings">
                        <li><a href="setup-urls.aspx">Web Address (Domain/URL)</a></li>
                        <li><a href="setup-activate.aspx">License/Activation</a></li>
                        <li><a href="setup-title.aspx">Title / Keywords</a></li>
                        <li><a href="setup-items.aspx">Items</a></li>
                        <li><a href="setup-categories.aspx">Categories</a></li>
                        <li><a href="setup-email.aspx">Email</a></li>
                        <li><a href="setup-checkout.aspx">Checkout</a></li>
                        <li><a href="setup-orders.aspx">Orders</a></li>
                        <li><a href="setup-reviews.aspx">Reviews</a></li>
                        <li><a href="setup-inventory.aspx">Inventory</a></li>
                        <li><a href="setup-shipping.aspx">Shipping</a></li>
                        <li><a href="setup-taxes.aspx">Taxes</a></li>
                        <li><a href="setup-discounts.aspx">Discounts</a></li>
                        <li><a href="setup-payment.aspx">Payment Methods</a></li>
                        <li><a href="setup-gateways.aspx">Payment Gateways</a></li>
                        <li><a href="setup-giftcerts.aspx">Gift Certificates</a></li>
                        <li><a href="setup-wishlists.aspx">WishLists</a></li>
                        <li><a href="setup-countries.aspx">States/Countries/Regions</a></li>
                        <li><a href="setup-affiliates.aspx">Affilate Program</a></li>
                        <li><a href="setup-email-emailfriend.aspx">Email A Friend</a></li>
                        <li><a href="setup-downloads.aspx">Digital Items</a></li>
                    </ul>
                </div>
                <div class="tdcol">
                    <div class="pageheading2">
                        Design/Layout
                    </div>
                    <ul class="ul_settings">
                        <li><a href="setup-defaultcolors.aspx">Default Colors</a></li>
                        <li><a href="setup-layout.aspx">Page Layout</a></li>
                        <li><a href="showsectioncontent.aspx">Page Content</a></li>
                        <li><a href="menutablist.aspx">Menu / Links</a></li>
                        <li><a href="setup-imenu.aspx">DropDown Menu</a></li>
                        <li><a href="custompagelist.aspx">Custom Pages</a></li>
                        <li><a href="showlanguagedetail.aspx?langsection=buttons&sortlangby=">Buttons</a></li>
                        <li><a href="showlanguagedetail.aspx?langsection=headings&sortlangby=">Section Headings</a></li>
                        <li><a href="showlanguagedetail.aspx?langsection=systext&sortlangby=">Form/Field Headings</a></li>
                        <li><a href="showlanguagedetail.aspx?langsection=errtext&sortlangby=">Text/Error Messages</a></li>
                        <li><a href="images-upload.aspx">Image Upload</a></li>
                        <li><a href="images-filemanager.aspx">Image Files</a></li>
                        <li><a href="setup-images.aspx">Image Settings / Sizes</a></li>
                    </ul>
                </div>
                <div class="tdcol">
                    <div class="pageheading2">
                        Advanced Tools &amp; Settings
                    </div>
                    <ul class="ul_settings">
                        <li><a href="setup-urls.aspx">Web Address (Domain/URL)</a></li>
                        <li><a href="setup-activate.aspx">License/Activation</a></li>
                        <li><a href="setup-users.aspx">User Security</a></li>
                        <li><a href="import.aspx">Import Data</a></li>
                        <li><a href="export.aspx">Export Data</a></li>
                        <li><a href="export-filemanager.aspx">Export Files</a></li>
                        <li><a href="setup-formatting.aspx">Currency, Number, Date Formatting</a></li>
                        <li><a href="setup-tinymce.aspx">HTML Editor</a></li>
                        <li><a href="setup-facetwit.aspx">Social Media</a></li>
                        <li><a href="setup-googleanalytics.aspx">Google Analytics</a></li>
                        <li><a href="setup-googletranslate.aspx">Google Multi-Language</a></li>
                        <li><a href="setup-multicurrency.aspx">Multi-Currency</a></li>
                        <li><a href="setup-mobilesupport.aspx">Mobile Support</a></li>
                        <li><a href="setup-urlrewrite.aspx">Url Re-writer</a></li>
                        <li><a href="setup-cache.aspx">Caching</a></li>
                        <li><a href="dbsetup.aspx">Database Tools</a></li>
                        <% If (pd.pdm.lictype = "EX" Or pd.pdm.lictype = "SB") And pd.admindevmode = "OFF" Then%>
                        <li><a href="setup-activate.aspx">Upgrade</a></li>
                        <% End If%>
                    </ul>
                </div>
                <div class="tr">
                </div>

            </div>
            </form>
        </div>
    </div>
</asp:Content>
