<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    Public pd As Object
    Public isactivated, changelic, licname, licdesc As String
    
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        
        'Determine if Unlicensed option is available.
        If pd.getWebConfigSetting("allowunlicensed") <> "ON" Then
            lictypeUL.Visible = False
            lictypeUL.Enabled = False
            uldiv.Visible = False
        End If
        
        If Page.IsPostBack Then

            If pd.activatepdshop(username.Text, "") = True Then
                pd.pdRedirect("setup-activate.aspx")
            End If
            pd.gotonextpage()

        End If

       
        If Not Page.IsPostBack Then
            
            'Update License type 
            slictype = pd.getrequest("slictype")
            If Len(slictype) = 2 Then
                pd.OpenSetupDataWriter("setupxml", "setup")
                pd.AddData("lictype", slictype, "T")
                pd.SaveData()
                pd.pdRedirect("setup-activate.aspx")
            End If
                                     
            pd.OpenSetupDataReader("setupxml", "setup")
            If pd.ReadData("lictype") = "UL" Then
                lictypeUL.Checked = True
                licname = "Unlicensed"
                licdesc = "Some features are disabled. Limit of 100 Products, 20 Categories, 20 Custom Pages. 'Powered By' message cannot be removed with Unlicensed copies."
            End If
            If pd.ReadData("lictype") = "EX" Then
                lictypeEX.Checked = True
                licname = "Express"
                licdesc = "Limit of 100 Products, 20 Categories, 20 Custom Pages"
            End If
            If pd.ReadData("lictype") = "SB" Then
                lictypeSB.Checked = True
                licname = "Small Business"
                licdesc = "Limit of 1000 Products, 100 Categories, 100 Custom pages"
            End If
            If pd.ReadData("lictype") = "DV" Or pd.ReadData("lictype") = "" Then
                lictypeDV.Checked = True
                licname = "Developer"
                licdesc = "Unlimited Products, Categories, and Custom pages"
            End If
            
            pd.CloseData()

            'If not configured yet
            If pd.url = "http://" Or pd.url = "" Then pd.pdRedirect("setup-urls.aspx")
            form_url.Text = pd.url
            form_url.ReadOnly = True
            form_url.Style.Add("background-color", "transparent")
            
        End If
        
        If (pd.pdm.shopactivated = "Y" And pd.pdm.pdshopneedsactivation <> "Y") Or (lictypeUL.Checked = True) Then
            isactivated = "Y"
        Else
            isactivated = "N"
        End If

        If pd.getrequest("changelic") = "Y" Then
            changelic = "Y"
        Else
            changelic = ""
        End If
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" id="shopdir" value="<%=pd.pdshopfolder %>" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-urls.aspx")
                    pd.createadmintab("Directories", "setup-folders.aspx")
                    pd.createadmintab("License/Activation", "setup-activate.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms" id="maindiv">
                <div class="pageheading1">
                    Version 10 Activation</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Activation Status</div>
                <% If isactivated = "Y" Then%>
                <div class="actmessage">
                    Successfully Activated!
                </div>
                <div class="pageheading2">
                    License Type</div>
                <div class="actmessage">
                    <%=licname%></div>
                <div class="formheading">
                    <%=licdesc%></div>
                <div class="check_div">
                    <input type="checkbox" name="changelic" value="Y" onclick="window.location='setup-activate.aspx?changelic=Y'" />
                    Change License Type?</div>
                <% Else%>
                <div class="actmessage">
                    Activation Required
                </div>
                <%End If%>
                <% If isactivated = "N" Or changelic = "Y" Then%>
                <div id="activationoptions">
                    <div class="pageheading2">
                        STEP 1 - Select License Type</div>
                    <div class="inner_div" style="margin: 10px;">
                        <% If pd.admindevmode = "OFF" Then%>
                        <div class="helptext">
                            Select the type of license/download you purchased. <a href="javascript: ReverseDisplay('lichelp_div')">
                                Need Help</a>?
                        </div>
                        <div class="helptext" id="lichelp_div" style="display: none;">
                            If you would like to Upgrade, first <a target="_blank" href="http://www.pagedowntech.com/shop/">
                                Purchase</a> the upgrade or license, then select it below and follow the Activation
                            steps to complete the upgrade.
                        </div>
                        <%End If%>
                        <div class="check_div" id="uldiv" runat="server">
                            <asp:RadioButton GroupName="lictype" ID="lictypeUL" onclick="window.location='setup-activate.aspx?slictype=UL'"
                                runat="server" />
                            Unlicensed <span class="helptext">Some features are disabled. Limit of 100 Products, 20 Categories, 20 Custom
                                Pages</span>
                        </div>
                        <div class="check_div">
                            <asp:RadioButton GroupName="lictype" ID="lictypeEX" onclick="window.location='setup-activate.aspx?slictype=EX'"
                                runat="server" />
                            Express Edition <span class="helptext">Limit of 100 Products, 20 Categories, 20 Custom
                                Pages</span>
                        </div>
                        <div class="check_div">
                            <asp:RadioButton GroupName="lictype" ID="lictypeSB" onclick="window.location='setup-activate.aspx?slictype=SB'"
                                runat="server" />
                            Small Business Edition <span class="helptext">Limit of 1000 Products, 100 Categories,
                                100 Custom pages</span></div>
                        <div class="check_div">
                            <asp:RadioButton GroupName="lictype" ID="lictypeDV" onclick="window.location='setup-activate.aspx?slictype=DV'"
                                runat="server" />
                            Developer Edition <span class="helptext">Unlimited Products, Categories, and Custom
                                pages</span></div>
                    </div>
                </div>
                <%End If%>
                <% If isactivated = "N" Then%>
                <div class="pageheading2">
                    STEP 2 - Test URL</div>
                <div>
                    <asp:TextBox class="formfield6" ID="form_url" runat="server" />
                    <input type="button" class="formbutton" onclick="testsite('form_url')" value="TEST URL" /><input
                        type="button" class="formbutton" onclick="saveandgoto('setup-urls.aspx?modifyurl=Y')"
                        value="Edit" />
                </div>
                <div class="helptext">
                    <a href="javascript: ReverseDisplay('urlhelp_div')">Need Help</a>?
                </div>
                <div class="helptext" id="urlhelp_div" style="display: none;">
                    Use the 'Test' button to verify that the above URL/Domain is correct. This software
                    will be activated based on the URL you enter, so make sure the URL is correct before
                    proceeding (the activation process will use up one license).
                </div>
                <div class="pageheading2">
                    STEP 3 - Activate</div>
                <div class="formheading">
                    Account Number</div>
                <div>
                    <asp:TextBox class="formfield2" ID="username" runat="server" />
                </div>
                <div class="button_div">
                    <input type="submit" value="Activate Now" onclick="document.all.waitdiv.style.display='block'; document.all.maindiv.style.display='none'"
                        class="formbutton" /></div>
                <div class="helptext">
                    Not Ready to Activiate? Learn about <a href="javascript: ReverseDisplay('devmode_div')">
                        Developement Mode</a>.
                </div>
                <div class="helptext" id="devmode_div" style="display: none;">
                    <br />
                    DEVELOPMENT MODE:
                    <br />
                    If you are not ready to activate, for example your site is not Live yet and you
                    want to setup or test without activating it, there is a built in development mode.
                    <br />
                    <br />
                    It will not require activation if the URL you use meets any of the following:
                    <br />
                    <br />
                    1. The URL is an IP address.
                    <br />
                    2. The URL is a Local Area Network server or computer name, ie http://servername/
                    or http://computername/ or http://localhost/<br />
                    <br />
                </div>
                <%End If%>
                <% If pd.admindevmode = "OFF" And isactivated = "N" Then%>
                <div class="helptext">
                    Many features will not work properly until activated. Activate using your &quot;PageDown
                    Tech&quot; Account Number!
                    <br />
                    If you experience difficulty with the activation process, you can <a href="http://www.pagedowntech.com/activate/"
                        target="_blank">Activate Remotely</a>. Or contact PageDown Technology directly
                    for assistance.
                    <br />
                </div>
                <%End If%>
            </div>
            <div class="forms" style="display: none;" id="waitdiv">
                <div>
                    <div class="pageheading1" style="">
                        PLEASE WAIT...</div>
                    <div class="helptext">
                        Contacting the server to get your license...
                    </div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
