<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenDataReader("SELECT * FROM pd_setup")
            If pd.ReadDataItem.Read Then
                If pd.ReadDataN("cacheen") = 0 Then form_cacheen.Checked = True
            Else
                pd.showErrorMessage("Record Not Found")
            End If
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenDataWriter("pd_setup WHERE id>0")

            If form_cacheen.Checked = True Then
                pd.AddData("cacheen", 0, "N")
            Else
                pd.AddData("cacheen", 1, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-cache.aspx")
                    pd.createadmintab("Clear Cache/Memory", "setup-clearcache.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Server Cache</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_cacheen" runat="server" />
                        Enable Server Caching?</div>
                    <div class="helptext">
                        To make your "shop" faster and more efficient, enabling this feature will allow
                        some commonly requested data to be cached (stored) in your web server's memory.
                        This will speed up the delivery of web pages to your shop visitors. However, during
                        development, you may wish to disable this feature so that you can see your changes
                        as you make them.</div>
                    <div class="helptext">
                        To manually "Clear" the server's current cache, <a href="setup-clearcache.aspx">click
                            here</a>.</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
