﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("facepageon") = "ON" Then form_facepageon.Checked = True
            form_facepageurl.Text = pd.ReadData("facepageurl")
            If pd.ReadData("twitpageon") = "ON" Then form_twitpageon.Checked = True
            form_twitpageurl.Text = pd.ReadData("twitpageurl")
            If pd.ReadData("facelikeon") = "ON" Then form_facelikeon.Checked = True
            If pd.ReadData("twitshareon") = "ON" Then form_twitshareon.Checked = True
            form_facetwitimg.Text = pd.ReadData("facetwitimg")
            
            If pd.ReadData("googlepluson") = "ON" Then form_googlepluson.Checked = True
            If pd.ReadData("pinterestfollowon") = "ON" Then form_pinterestfollowon.Checked = True
            If pd.ReadData("pinterestpinon") = "ON" Then form_pinterestpinon.Checked = True
            form_pinteresturl.Text = pd.ReadData("pinteresturl")
            form_pinteresttext.Text = pd.ReadData("pinteresttext")
            
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
            pd.AddFormData("facepageurl", form_facepageurl.Text, "Url", "T", 0, 255)
            pd.AddFormData("twitpageurl", form_twitpageurl.Text, "Url", "T", 0, 255)
            pd.AddFormData("facetwitimg", form_facetwitimg.Text, "Size", "N", 0, 0)
            
            If form_facepageon.Checked = True Then
                pd.AddData("facepageon", "ON", "T")
            Else
                pd.AddData("facepageon", "", "T")
            End If
            If form_twitpageon.Checked = True Then
                pd.AddData("twitpageon", "ON", "T")
            Else
                pd.AddData("twitpageon", "", "T")
            End If
            If form_facelikeon.Checked = True Then
                pd.AddData("facelikeon", "ON", "T")
            Else
                pd.AddData("facelikeon", "", "T")
            End If
            If form_twitshareon.Checked = True Then
                pd.AddData("twitshareon", "ON", "T")
            Else
                pd.AddData("twitshareon", "", "T")
            End If
            
            If form_pinterestfollowon.Checked = True Then
                pd.AddData("pinterestfollowon", "ON", "T")
            Else
                pd.AddData("pinterestfollowon", "", "T")
            End If
            If form_pinterestpinon.Checked = True Then
                pd.AddData("pinterestpinon", "ON", "T")
            Else
                pd.AddData("pinterestpinon", "", "T")
            End If
            pd.AddFormData("pinteresturl", form_pinteresturl.Text, "Url", "T", 0, 255)
            pd.AddFormData("pinteresttext", form_pinteresttext.Text, "Text", "T", 0, 255)
            
            If form_googlepluson.Checked = True Then
                pd.AddData("googlepluson", "ON", "T")
            Else
                pd.AddData("googlepluson", "", "T")
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                                 
            End If

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-facetwit.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Social Media Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Facebook</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_facepageon" runat="server" />
                        Enable Facebook Page Button
                    </div>
                    <div class="formheading">
                        FaceBook Page Url</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="form_facepageurl" runat="server" />
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_facelikeon" runat="server" />
                        Enable Facebook "Like" Button
                    </div>
                </div>
                <div class="pageheading2">
                    Twitter</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_twitpageon" runat="server" />
                        Enable Twitter Page Button
                    </div>
                    <div class="formheading">
                        Twitter Page/Profile Url</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="form_twitpageurl" runat="server" />
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_twitshareon" runat="server" />
                        Enable "Tweet" Button
                    </div>
                </div>
                <div class="pageheading2">
                    FaceBook/Twitter Icon Size</div>
                <div class="formheading">
                    Icon Width in Pixels (For example, 20)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="form_facetwitimg" runat="server" />
                </div>
                <div class="pageheading2">
                    Google+</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_googlepluson" runat="server" />
                        Enable Google+
                    </div>
                </div>
                <div class="pageheading2">
                    Pinterest</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_pinterestpinon" runat="server" />
                        Enable Pin Button on Item pages.
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_pinterestfollowon" runat="server" />
                        Enable Follow Button (appears on all pages)
                    </div>
                    <div class="formheading">
                        Your Pinterest Url</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="form_pinteresturl" runat="server" />
                    </div>
                    <div class="formheading">
                        Pinterest Button Text</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="form_pinteresttext" runat="server" />
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
