<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, nosave, customerid, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        cctype.DataSource = pd.bindthissql("SELECT * FROM creditcard")
        cctype.DataBind()

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            pd.OpenSetupDataReader("setupxml", "setup")

            If pd.ReadData("ccen") = "ON" Then form_ccen.Checked = True
            If pd.ReadData("cvven") = "ON" Then form_cvven.Checked = True
            If pd.ReadData("pbmen") = "ON" Then form_pbmen.Checked = True
            If pd.ReadData("gatewayen") = "ON" Then form_gatewayen.Checked = True
            If pd.ReadDataN("hidecc") = 1 Then form_hidecc.Checked = True
            If InStr(pd.ReadData("nosave"), "CCN") > 0 Then form_nosave1.Checked = True

            form_maxtrx.Text = pd.ReadDataN("maxtrx")
            form_maxiptrx.Text = pd.ReadDataN("maxiptrx")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
             
            pd.AddFormData("maxtrx", form_maxtrx.Text, "Max", "N", 0, 0)
            pd.AddFormData("maxiptrx", form_maxiptrx.Text, "Max", "N", 0, 0)

            If form_ccen.Checked = True Then
                pd.AddData("ccen", "ON", "T")
            Else
                pd.AddData("ccen", "", "T")
            End If
            If form_cvven.Checked = True Then
                pd.AddData("cvven", "ON", "T")
            Else
                pd.AddData("cvven", "", "T")
            End If
            If form_pbmen.Checked = True Then
                pd.AddData("pbmen", "ON", "T")
            Else
                pd.AddData("pbmen", "", "T")
            End If
            If form_gatewayen.Checked = True Then
                pd.AddData("gatewayen", "ON", "T")
            Else
                pd.AddData("gatewayen", "", "T")
            End If
            If form_hidecc.Checked = True Then
                pd.AddData("hidecc", 1, "N")
            Else
                pd.AddData("hidecc", 0, "N")
            End If

            'if (nosave1.checked = True and ccen.checked = True) or (nosave2.checked = True and cvven.checked = True) then
            '  pd.formerror="Check your 'Do Not Save' security settings, there is a potential conflict!"
            'end if

            nosave = ""
            If form_nosave1.Checked = True Then nosave = nosave & ",CCN"
            nosave = nosave & ",CVC"
            'if nosave2.checked = True then nosave=nosave & ",CVC"
            pd.AddData("nosave", nosave, "T")

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                 
                pd.gotonextpage()
                 
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-payment.aspx")
                    pd.createadmintab("Payment Gateways", "setup-gateways.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Payment Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    These setting determine how payments are handled during checkout in your shop.</div>
                <div class="pageheading2">
                    Payment Methods</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_ccen" runat="server" />
                        'Offline' Credit Card Form</div>
                    <div class="helptext">
                        (Check this box if want to accept credit cards to process offline, with your own
                        merchant account tools manually.&nbsp; We do NOT recommend this option, this will
                        result in the storing of credit card data.)</div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_pbmen" runat="server" />
                        Enable Pay by Mail?</div>
                    <div class="helptext">
                        (Check this box if want to enable "pay by mail" Be sure to edit the "Order Thanks"
                        message for Pay by Mail. See 'Page Content'.
                    </div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_gatewayen" runat="server" />
                        Enable Payment Processing via Gateway?</div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-gateways.aspx')"
                            value="Setup Gateways" />
                    </div>
                    <div class="helptext">
                        (You must setup your payment gateway/merchant account on "Gateways" page for this
                        to work properly.)</div>
                </div>
                <div class="pageheading2">
                    Credit Cards</div>
                <div class="inner_div">
                    <div class="tdlhead">
                        Card Name/Type</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="cctype" runat="server">
                        <ItemTemplate>
                            <div class="tdl">
                                <a href="Javascript: editcardtype('<%# Container.DataItem("id") %>')">
                                    <%# Container.DataItem("name") %></a></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="editcardtype('')" value="New Card" /></div>
                </div>
                <div class="helptext">
                    Above are the credit card types that are accepted at checkout, for "Offline" Credit
                    cards & Authorize.Net & PayPal "Pro" Transactions.</div>
                <div class="pageheading2">
                    Recommended Security Settings</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_hidecc" runat="server" />
                        Do Not Display Credit Card Numbers</div>
                    <div class="helptext">
                        Payment Gateway Related</div>
                    <div class="check_div">
                        <asp:CheckBox ID="form_nosave1" runat="server" />
                        Do Not Save Credit Card Numbers *</div>
                    <div class="helptext">
                        NOTE: To comply with current security standards, you should check all of the settings
                        above. The "Do Not Save" option applies to Authorize.net and other Gateway processing,
                        this settings do not affect 'Offline' credit card mode. Credit card data is stored
                        when you use the 'Offline Credit Card Form'.</div>
                </div>
                <div class="pageheading2">
                    Optional Security Settings</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_cvven" runat="server" />
                        Require Card Security Code (CVV/CVC/CID)</div>
                    <div class="helptext">
                        NOTE: This setting should only be enabled if you are processing thru Authorize.net
                        or PayPal's Website Payments Pro.</div>
                </div>
                <div class="pageheading2">
                    Transaction Limits</div>
                <div class="helptext">
                    Below you can set the maximum number of transactions (payment attempts), to help
                    prevent credit card fraud. These settings apply to 'Real-Time' processing only.</div>
                <div class="formheading">
                    Maximum Per Order: (0=Unlimited)</div>
                <div>
                    <asp:TextBox class="formfield5" ID="form_maxtrx" runat="server" />
                </div>
                <div class="formheading">
                    Maximum Per IP Address: (0=Unlimited)</div>
                <div>
                    <asp:TextBox class="formfield5" ID="form_maxiptrx" runat="server" />
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
