<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")

            globaltax.Text = pd.ReadDataN("globaltax")

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("globaltax", globaltax.Text, "Tax", "N", 0, 0)

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If

        'Get Counts
        itemrepeater1.DataSource = pd.bindpddata("SELECT * FROM states WHERE taxrate>0 ORDER BY name")
        itemrepeater1.DataBind()
        itemrepeater2.DataSource = pd.bindpddata("SELECT * FROM countries WHERE taxrate>0 ORDER BY name")
        itemrepeater2.DataBind()

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.createadmintab("Tax Cloud", "setup-taxcloud.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Tax Settings</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Global Tax Rate</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="globaltax" runat="server" /></div>
                <div class="helptext">
                    (All customers, regardless of location will be charged the above Tax)</div>
                <div class="pageheading2">
                    Summary of other Taxes</div>
                <div class="inner_div">
                    <div class="tdlhead">
                        Country/State/Province (or other Region)</div>
                    <div class="tdshead">
                        Tax Rate</div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="itemrepeater1" runat="server">
                        <ItemTemplate>
                            <div class="tdl">
                                <%# Container.DataItem("name") %></div>
                            <div class="tds">
                                <%# Container.DataItem("taxrate") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <asp:Repeater ID="itemrepeater2" runat="server">
                        <ItemTemplate>
                            <div class="tdl">
                                <%# Container.DataItem("name") %></div>
                            <div class="tds">
                                <%# Container.DataItem("taxrate") %></div>
                            <div class="tr">
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
