﻿<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            pd.OpenSetupDataReader("setupxml", "setup")

            'mobilestring.Text = pd.ReadData("mobilestring")
            If pd.ReadData("urlrewriteon") = "" Then urlretype1.Checked = True
            If pd.ReadData("urlrewriteon") = "ON" Then urlretype2.Checked = True
            If pd.ReadData("urlrewriteon") = "AU" Then urlretype3.Checked = True
            
            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            'pd.AddFormData("mobilestring", mobilestring.Text, "Language", "T", 1, 25)
            If urlretype2.Checked = True Then
                pd.AddData("urlrewriteon", "ON", "T")
            ElseIf urlretype3.Checked = True Then
                pd.AddData("urlrewriteon", "AU", "T")
            Else
                pd.AddData("urlrewriteon", "", "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                pd.gotonextpage()
                                 
            End If

        End If
         

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-urlrewrite.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Url Re-Writing</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    Normal Urls</div>
                <div class="radio_div">
                    <asp:RadioButton GroupName="urlretype" ID="urlretype1" runat="server" />
                    Normal - Dynamic Urls (Recommended)</div>
                <div class="pageheading2">
                    Advanced Urls</div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="urlretype" ID="urlretype2" runat="server" />
                        Friendly Url Names - Manually created</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="urlretype" ID="urlretype3" runat="server" />
                        Friendly Url Names - Automatic</div>
                </div>
                <div class="pageheading2">
                    Help</div>
                <div>
                    <div class="helptext">
                        This is an advanced feature, please use caution when enabling. We recommend that
                        you only change these settings if you are a qualified web master, and you fully
                        understand the ramifications of these changes.
                    </div>
                    <div class="helptext">
                        Please note: Enabling this feature will allow items, categories, and custom pages
                        to have unique, more friendy, Url names. If you choose automatic, the Shop will
                        create special Url names based on your item, category, and custom page names plus
                        a unique identifier.
                        <br />
                        <br />
                        If you select Manual, you will need to specify the Url names manually, on each of
                        your item/category/custom page settings. For any page that you don’t specify a Url
                        Name, that page will default to the Normal/Dynamic Url.
                    </div>
                    <div class="formbutton_div">
                        <input type="submit" class="formbutton" value="Save Changes" /></div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
