<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public langsection, sortlangby As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        langsection = pd.getrequest("langsection")
        sortlangby = pd.getrequest("sortlangby")
         
        itemrepeater.DataSource = pd.bindLangXmlToEdit(langsection, sortlangby)
        itemcount = itemrepeater.DataSource.Count
        itemrepeater.DataBind()
             
        If Not (Page.IsPostBack) Then

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Buttons", "showlanguagedetail.aspx?langsection=buttons&sortlangby=" & sortlangby)
                    pd.createadmintab("Section Headings", "showlanguagedetail.aspx?langsection=headings&sortlangby=" & sortlangby)
                    pd.createadmintab("Form/Field Headings", "showlanguagedetail.aspx?langsection=systext&sortlangby=" & sortlangby)
                    pd.createadmintab("Text & Error Messages", "showlanguagedetail.aspx?langsection=errtext&sortlangby=" & sortlangby)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <% If langsection = "buttons" Then%>
                <div class="pageheading1">
                    Buttons</div>
                <div class="helptext">
                    Buttons, Links.&nbsp; Any button and some text links you see displayed in the storefront
                    can be edited here.&nbsp; You can use your own images, change the text, or even
                    change the type of button.</div>
                <% End If%>
                <% If langsection = "errtext" Then%>
                <div class="pageheading1">
                    Error/Text Messages</div>
                <div class="helptext">
                    Here you can edit some of the longer messages that are displayed.&nbsp; You can
                    change the text displayed when an error occurs, etc.</div>
                <% End If%>
                <% If langsection = "headings" Then%>
                <div class="pageheading1">
                    Section Headings</div>
                <div class="helptext">
                    The Section headings are the Text or Graphic headings that appear above the different
                    section of your storefront.&nbsp; You can change the text, type of graphic, and
                    even use images for headings</div>
                <% End If%>
                <% If langsection = "systext" Then%>
                <div class="pageheading1">
                    Form/Field Headings</div>
                <div class="helptext">
                    Here you can change/rename the headings or field descriptions.&nbsp; These are usually
                    shorter descriptions or field names.</div>
                <% End If%>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="inner_div">
                    <div class="tdshead">
                        <a href="showlanguagedetail.aspx?langsection=<%=langsection%>&sortlangby=code">Code</a></div>
                    <div class="tdlhead">
                        <a href="showlanguagedetail.aspx?langsection=<%=langsection%>&sortlangby=text">Name/Text</a>
                        <span class="helptext">&nbsp;&nbsp;[click heading to sort]</span></div>
                    <div class="tr">
                    </div>
                    <asp:Repeater ID="itemrepeater" runat="server">
                        <ItemTemplate>
                            <div class="tds">
                                <a href="<%# DataBinder.Eval(Container.DataItem,"link").ToString() %>">
                                    <%# DataBinder.Eval(Container.DataItem,"code").ToString() %></a></div>
                            <div class="tdl2">
                                <%# DataBinder.Eval(Container.DataItem,"text").ToString() %><br>
                                <span class="helptext">
                                    <%# DataBinder.Eval(Container.DataItem,"notes").ToString() %></span></div>
                            <div class="tr">
                            </div>
                            <div style="height: 5px;">
                                <!-- -->
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
