<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then
            pd.gotonextpage()
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Orders", "search.aspx?showdiv=orders")
                    pd.createadmintab("Customers", "search.aspx?showdiv=customer")
                    pd.createadmintab("Items", "search.aspx?showdiv=items")
                    pd.createadmintab("Categories", "search.aspx?showdiv=category")
                    If pd.adminlevel = 1 Then
                        pd.createadmintab("Custom Pages", "custompagelist.aspx")
                        pd.createadmintab("Page Content", "showsectioncontent.aspx")
                    End If
                    pd.createadmintab("Discounts", "search.aspx?showdiv=discounts")
                    pd.createadmintab("Gift Cards", "search.aspx?showdiv=giftcert")
                    pd.createadmintab("Affiliates", "search.aspx?showdiv=affiliates")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Page Content</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="pageheading2">
                        Main Global Sections</div>
                    <div class="inner_div">
                        <div class="td">
                            <a href="javascript: popeditor('commondata','slogan','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','slogan','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Top (Logo)</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','banner1','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','banner1','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Top Banner</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','banner2','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','banner2','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Area 1</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','banner3','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','banner3','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Area 2</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','banner4','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','banner4','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Bottom Banner</div>
                        <div class="tr">
                        </div>
                    </div>
                    <div class="pageheading2">
                        User Defined Sections</div>
                    <div class="inner_div">
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud1','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud1','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud1');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 1
                            <%=pd.getUDaka("hdud1")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud2','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud2','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud2');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 2
                            <%=pd.getUDaka("hdud2")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud3','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud3','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud3');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 3
                            <%=pd.getUDaka("hdud3")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud4','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud4','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud4');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 4
                            <%=pd.getUDaka("hdud4")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud5','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud5','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud5');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 5
                            <%=pd.getUDaka("hdud5")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud6','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud6','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud6');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 6
                            <%=pd.getUDaka("hdud6")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud7','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud7','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud7');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 7
                            <%=pd.getUDaka("hdud7")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud8','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud8','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud8');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 8
                            <%=pd.getUDaka("hdud8")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud9','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud9','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud9');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 9
                            <%=pd.getUDaka("hdud9")%></div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','htmlud10','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','htmlud10','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: editcolors('hdud10');">
                                <img src="img/pd_txcolor.gif" alt="" /></a></div>
                        <div class="td">
                            User Defined 10
                            <%=pd.getUDaka("hdud10")%></div>
                        <div class="tr">
                        </div>
                        <div class="pageheading2">
                            Display Settings</div>
                        <div class="helptext">
                            Where to Display</div>
                        <div class="button_div">
                            <input type="button" onclick="editdetail('pg1')" class="formbutton" value="Page Layout" />
                        </div>
                    </div>
                    <div class="pageheading2">
                        Mobile Pages</div>
                    <div class="inner_div">
                        <div class="td">
                            <a href="javascript: popeditor('commondata','mobbanner1','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','mobbanner1','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Top Banner (Mobile Only)</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('commondata','mobbanner2','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('commondata','mobbanner2','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Bottom Banner (Mobile Only)</div>
                        <div class="tr">
                        </div>
                    </div>
                    <div class="pageheading2">
                        Other Content</div>
                    <div class="inner_div">
                        <div class="td">
                            <a href="javascript: popeditor('other','orderthanks','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','orderthanks','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Order Thanks (Credit Card)</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('other','pbmnote','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','pbmnote','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Order Thanks (Pay by Mail)</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('other','orderheader','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','orderheader','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Order Receipt Header</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('other','orderfooter','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','orderfooter','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Order Receipt Footer</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('other','affilagree','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','affilagree','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Affiliate User Agreement</div>
                        <div class="tr">
                        </div>
                        <div class="td">
                            <a href="javascript: popeditor('other','affildesc','500');">
                                <img src="img/butt-admin-edit.gif" alt="" /></a></div>
                        <div class="td">
                            <a href="javascript: poptexteditor('other','affildesc','500');">
                                <img src="img/butt-admin-edittext.gif" alt="" /></a></div>
                        <div class="td">
                            Affiliate Program Description</div>
                        <div class="tr">
                        </div>
                    </div>
                    <div class="helptext">
                        Above are the areas in your storefront that you can edit using the HTML editor.
                        To edit item or category details, you must first go to the edit item/category page,
                        from there click on edit
                    </div>
                </div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
