<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public passwordchanged, refer As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.enforceSSL = True
        pd.LoadPDshop()

        'Check if already signed in
        afuid = pd.getcookie("afuid")
        affillink = pd.getcookie("aflink")
        If Not IsNumeric(afuid) Then pd.pdRedirect("affilsignin.aspx")

        If Not (Page.IsPostBack) Then
        End If

        If Page.IsPostBack Then
            
            'Verify Old Password
            If pd.passwordverified("affiliates", afuid, oldpassword.Text) = False Then
                pd.formerror = pd.geterrtext("err9")
            End If

            'Check new Password and Save it.
            If pd.formerror = "" Then
                
                'Prepare Database - Argument (database tablename)
                pd.OpenDataWriter("affiliates WHERE id=" & afuid)

                'Function Arguments (column name, form id.text, Name of Field, Field Type, Min Characters, Max Characters)
                pd.AddFormData("password", password.Text, pd.getsystext("sys24"), "X", 5, 50)
                pd.formerror = pd.formerror & pd.checkchr(password.Text, pd.getsystext("sys24"))
             
                'Enforce Strong Passwords (if enabled)
                If pd.isPasswordStrong(password.Text) = False Then
                    pd.formerror = pd.formerror & pd.geterrtext("err72")
                End If

                'Compare new passwords
                If password.Text <> password2.Text Then
                    pd.formerror = pd.formerror & pd.geterrtext("err28")
                End If

                'If no errors, Add record to database
                If pd.formerror = "" Then
                    pd.SaveData()
                    pd.formerror = pd.geterrtext("err7")
                    pd.LogAffilEvent(207, afuid, "")
                    pd.pdRedirect("affiledit.aspx?showalert=pwchanged")
                End If
                
            End If

        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg7
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <%= pd.startSection("heads4")%>
    <div class="form_container">
        <form method="POST" action="affilchgpsswrd.aspx" id="aspnetForm" name="aspnetForm" runat="server">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys62")%></div>
        <div>
            <asp:TextBox class="formfield3" TextMode="password" ID="oldpassword" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys63")%></div>
        <div>
            <asp:TextBox class="formfield3" TextMode="password" ID="password" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys64")%></div>
        <div>
            <asp:TextBox class="formfield3" TextMode="password" ID="password2" runat="server" />
        </div>
        <div class="formbuttons_container">
            <%=pd.getButton("butts14","","","aspnetForm")%></div>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
