<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public catid, catname, catdesc, catpgconfig As String
    Public catitemcount, subcatitemcount, catpagetype, catcolwidths As Integer

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)


        pd = Master.pd
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        'Indicates to retreive Featured items
        'catid = "F"

        'Not Used
        If Not (Page.IsPostBack) Then
        End If

        catpagemax = 10
        catmaxcols = 2
        catpgconfig = pd.ficonfig
        catpagetype = 2
        
        'Determine List View or Grid View
        pd.pageviewby = pd.getcookie("viewby")
        If pd.pageviewby = "" Then
            If catpagetype = 2 Then
                pd.pageviewby = "grid"
            End If
        ElseIf pd.pageviewby = "grid" Then
            catpagetype = 2
            catmaxcols = 2
        ElseIf pd.pageviewby = "list" Then
            catpagetype = 1
            catmaxcols = 1
        End If
        colwidths = CInt(100 / catmaxcols) - 5
        
        'Override Column width defaults
        'pd.colwidth1 = 20
        'pd.colwidth2 = 50
        'pd.colwidth3 = 10
        'pd.colwidth4 = 15
        pd.currentpgconfig = catpgconfig
        
        columnrepeater.DataSource = pd.bindcategoryitems("F", catpagemax)
        catitemcount = columnrepeater.DataSource.Count
        columnrepeater.RepeatColumns = catmaxcols
        columnrepeater.RepeatDirection = catsortdir
            
        columnrepeater.RepeatLayout = RepeatLayout.Flow
        columnrepeater.GridLines = GridLines.None
        columnrepeater.DataBind()

        'Set Page Layout Type
        Master.pgtype = pd.pg4
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%  If catitemcount > 0 Then%>
    <%= pd.startSection("hdfeatures")%>
    <div class="cattable">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <asp:DataList ID="columnrepeater" runat="server" Style="table-layout: fixed; width: 100%;"
            ItemStyle-VerticalAlign="Top">
            <ItemTemplate>
                <% If catpagetype = 1 Or catpagetype = 0 Then%>
                <div class="catitemlist_div">
                    <div class="catitemlist_column1" style="width: <%=pd.colwidth1 %>%;">
                        <div class="listimage">
                            <%# Container.DataItem("itemimage") %></div>
                    </div>
                    <div class="catitemlist_column2" style="width: <%=pd.colwidth2 %>%;">
                        <div class="listname">
                            <%# Container.DataItem("itemname") %></div>
                        <div class="listdesc">
                            <%# Container.DataItem("shortdesc") %></div>
                        <div class="cartbuttons_container">
                            <%# Container.DataItem("buybutton") %>
                            <%# Container.DataItem("morebutton") %>
                        </div>
                    </div>
                    <div class="catitemlist_column3" style="width: <%=pd.colwidth3 %>%;">
                        <div class="listitemno">
                            <%# Container.DataItem("itemno") %></div>
                    </div>
                    <div class="catitemlist_column4" style="width: <%=pd.colwidth4 %>%;">
                        <div class="listprice">
                            <%# Container.DataItem("itemprice") %></div>
                        <div class="messages">
                            <%# Container.DataItem("stockmessage") %></div>
                    </div>
                    <div style="clear: both;">
                    </div>
                </div>
                <% Else%>
                <div class="catitem_div" style="width: <%=colwidths%>%; float: left;">
                    <div class="listimage">
                        <%# Container.DataItem("itemgridimage")%></div>
                    <div class="listname">
                        <%# Container.DataItem("itemname") %></div>
                    <div class="listdesc">
                        <%# Container.DataItem("shortdesc") %></div>
                    <div class="cartbuttons_container">
                        <%# Container.DataItem("buybutton") %>
                        <%# Container.DataItem("morebutton") %>
                    </div>
                    <div class="listitemno">
                        <%# Container.DataItem("itemno") %></div>
                    <div class="listprice">
                        <%# Container.DataItem("itemprice") %></div>
                    <div class="messages">
                        <%# Container.DataItem("stockmessage") %></div>
                </div>
                <% End If%>
            </ItemTemplate>            
        </asp:DataList>
        <div class="tr"></div>
        <div>
            <%=pd.paginglinks%></div>
    </div>
    <%= pd.endSection()%>
    <%  End If%>
</asp:Content>
